<?php
namespace App\Actions;

use App\Models\BranchOffice;
use App\Models\Order;
use Barryvdh\DomPDF\Facade\Pdf;
use setasign\Fpdi\Fpdi;
header('Content-Type: text/html; charset=UTF-8');
ini_set("default_charset", "UTF-8");
mb_internal_encoding("UTF-8");
class PrintcardAction
{
    public function __invoke($id)
    {
        $order = Order::findOrFail($id);

        $branchOffice = $order->branch_office_id != null ? BranchOffice::query()->find($order->branch_office_id) : null;

        foreach($order->orderDetails as $detail)
        {
            $movePoints = 0;
            $pdf = new Fpdi();

            //$pdf->AddPage('P', [78, 128.4]);
            $pdf->AddPage('P', [215.9, 279.4]);

            $pdf->setSourceFile(storage_path('app/tpl_card.pdf'));
            $pageId = $pdf->importPage(1);
            $pdf->useTemplate($pageId, 69, 0, 78, 128.4);

            $pdf->SetFont('Arial', 'B', 7);
            //$pdf->SetXY(81, 21 + $movePoints); codificación sin viñeta
            $pdf->SetXY(79, 27 + $movePoints);
            $pdf->Cell(100, 10, utf8_decode($order->customer->name), 0, 1);

            if($branchOffice && $branchOffice->name != 'Principal'){
                $pdf->SetXY(81, 31 + $movePoints);
                $pdf->Cell(100, 10, utf8_decode($branchOffice->name), 0, 1);
            }

            $pdf->SetXY(76, 35 + $movePoints);
            $pdf->Cell(100, 10, utf8_decode($detail->serial_number), 0, 1);

            $pdf->SetXY(114, 35 + $movePoints);
            $pdf->Cell(100, 10, utf8_decode($detail->product->brand->name), 0, 1);

            $pdf->SetXY(81, 44 + $movePoints);
            $pdf->Cell(100, 10, $detail->product->capacity, 0, 1);

            $pdf->SetXY(104, 44 + $movePoints);
            $pdf->Cell(100, 10, utf8_decode($detail?->product?->classe?->description), 0, 1);

            $pdf->SetXY(129, 44 + $movePoints);
            $pdf->Cell(100, 10, utf8_decode($detail?->product?->classe?->name), 0, 1);

            $usage = $detail->usages()->where('is_recharge', 1)->first();

            $pdf->SetXY(87, 48.5 + $movePoints);
            $pdf->Cell(100, 10, $usage ? $usage->date_recharge->format('m-Y') : '', 0, 1);

            $pdf->SetXY(129, 48.5 + $movePoints);
            $pdf->Cell(100, 10, $usage ? $usage->date_recharge_expiration->format('m-Y') : '', 0, 1);


            $pdf->Output('F', storage_path('app/printCard/detail_' . $detail->id . '.pdf'));

            $detail->print_card = 1;
            $detail->save();
        }

    }
}