<?php

namespace App\Http\Controllers;

use App\Models\OrderDetail;
use Barryvdh\DomPDF\Facade\Pdf;
use Illuminate\Http\Request;

class PDFController extends Controller
{
    public function generarPDF(Request $request)
    {
        /** @var OrderDetail $orderDetail */
        $orderDetail = OrderDetail::query()->find($request->orderDetail);

        $data = [
            'dueno' => $orderDetail?->order?->customer?->name,
            'marca' => $orderDetail?->product?->brand?->name,
            'capacidad' => $orderDetail?->product?->capacity,
            'material' => $orderDetail?->product?->classe?->name,
            'fecha_recarga' => strtoupper($orderDetail?->usageRecharge()?->date_recharge?->translatedFormat('F y') ?? ''),
            'fecha_vencimiento' => strtoupper($orderDetail?->usageRecharge()?->date_recharge_expiration?->translatedFormat('F y') ?? ''),
            'placa' => $orderDetail?->serial_number,
        ];

        $pdf = Pdf::loadView('pdf.etiqueta', $data);
        $pdf->setPaper([0, 0, 283, 283]); // 10 cm x 10 cm en puntos (1 cm = 28.3 puntos)

        return $pdf->stream('etiqueta.pdf');
    }
}
