<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Prestamo;
use App\Models\StockModel;
use App\Models\OrderDetail;
use App\Models\Category;
use App\Models\Classe;
use App\Models\Brand;
use Illuminate\Support\Facades\Date;


class PrestamosController extends Controller
{
    public function index()
    {
        $prestamos=Prestamo::query()->paginate(null, ['*'], 'prestamos');
        $stocks=StockModel::query()->paginate(null, ['*'], 'stocks');
        return view('prestamos.index', compact('prestamos', 'stocks'));
    }

    public function create()
{
    $categories = Category::all();
    $classes = Classe::all();

    return view('prestamos.create', compact('categories', 'classes'));
}


    public function createstock(Request $request)
    {
        if(!$request->user()->hasRole('Operaciones')){
            return redirect()->route('prestamos-orders.index')
                ->with('error', 'No tienes permisos para acceder a esta página.');
        }

        $marcas=Brand::all(); 
        $categorias=Category::all();
        $clases=Classe::all();
        return view('prestamos.createstock', compact('marcas', 'categorias', 'clases'));
    }

    public function store(Request $request)
    {
       // dd($request->all()); 
        
        Prestamo::create($request->all());
        $order_id=$request->order_detail_id;
         // Si el producto es de OrderDetail, actualizar quantity_prestado
    if ($request->is_order_detail==="1") {
        //dd($request->order_detail_id);
        $orderDetail = OrderDetail::where('id', $order_id)->first();
        $orderDetail->quantity_prestado = $orderDetail->quantity_prestado + $request->cantidad;
        $orderDetail->save();
    }else{
        $producto = StockModel::findOrFail($request->stock_id);
        $producto->cantidad=($producto->cantidad)-1;
        $producto->update();
    }
        return redirect()->route('prestamos-orders.index')
            ->with('success', 'Prestamo registrado exitosamente.');
    }

    public function devolucion(Request $request, $id)
{
    // Obtener el producto
    $producto = Prestamo::where('id', $id)->first();
    
    if (!$producto) {
        return redirect()->route('prestamos.index')
            ->with('error', 'El producto no existe.');
    }

    // Actualizar estado del producto
    $producto->estado = $request->estado;
    $producto->observacion = $request->observacion;
    $producto->fecha_devolucion = now();
    $producto->update();
    if($producto->estado=='DEVUELTO'){
    if($producto->order_detail_id==null){
    // Actualizar el stock
    $stock = StockModel::where('id', $request->stock_id)->first();
    $stock->cantidad=$stock->cantidad+$producto->cantidad;
    $stock->update();
    }else if ($producto->order_detail_id!=null) {
        $stock = OrderDetail::where('id', $producto->order_detail_id)->first();
        $stock->quantity_prestado=$stock->quantity_prestado-$producto->cantidad;
        $stock->update();
    }
}
    //actualizar el order_detail


   

    return redirect()->route('prestamos.index')
        ->with('success', 'Prestamo actualizado exitosamente.');
}



    public function storestock(Request $request)
    {
        if(!$request->user()->hasRole('Operaciones')){
            return redirect()->route('prestamos-orders.index')
                ->with('error', 'No tienes permisos para acceder a esta página.');
        }
        StockModel::create($request->all());
        


        return redirect()->route('prestamos-orders.index')
            ->with('success', 'Producto creado exitosamente.');
    }

    public function editstock(Request $request, $id)
    {
        if(!$request->user()->hasRole('Operaciones')){
            return redirect()->route('prestamos-orders.index')
                ->with('error', 'No tienes permisos para acceder a esta página.');
        }
        $producto = StockModel::findOrFail($id);

        return view('prestamos.editstock', compact('producto'));
    }

    public function updatestock(Request $request, $id)
    {
        if(!$request->user()->hasRole('Operaciones')){
            return redirect()->route('prestamos-orders.index')
                ->with('error', 'No tienes permisos para acceder a esta página.');
        }

        $producto = StockModel::findOrFail($id);
        $producto->update($request->all());

        return redirect()->route('prestamos-orders.index')
            ->with('success', 'Producto actualizado exitosamente.');
    }

    public function update(Request $request, $id)
    {
        $producto = Prestamo::findOrFail($id);
        $producto->update($request->all());

        return redirect()->route('prestamos.index')
            ->with('success', 'Producto actualizado exitosamente.');
    }

    public function destroystock($id)
    {
        $producto = StockModel::findOrFail($id);
        $producto->delete();

        return redirect()->route('prestamos.index')
            ->with('success', 'Producto eliminado exitosamente.');
    }
    public function destroy($id)
    {
        $producto = Prestamo::findOrFail($id);
        $producto->delete();

        return redirect()->route('prestamos.index')
            ->with('success', 'Prestamos eliminado exitosamente.');
    }
}
