<?php

namespace App\Http\Controllers;

use App\Exports\ExportOrdersprestamos;
use App\Exports\ExportOrdersWorkshop;
use App\Exports\ExportRechage;
use App\Models\Action;
use App\Models\Order;
use App\Models\OrderDetail;
use App\Models\Prestamo;
use Illuminate\Http\Request;

class ReportController extends Controller
{
    public function workshop()
    {
        $ordersWorkshop = Order::query()
            ->where('state', 'WORKSHOP')
            ->orWhere('state', 'DOING')
            ->orderBy('id', 'asc')
            ->paginate(30);

        $actions = Action::query()->get();

        return view('report.workshop', compact('ordersWorkshop', 'actions'));
    }

    public function workshopExcel()
    {
        $ordersWorkshop = Order::query()
            ->where('state', 'WORKSHOP')
            ->orWhere('state', 'DOING')
            ->orderBy('id', 'asc')
            ->get();

        return \Maatwebsite\Excel\Facades\Excel::download(new ExportOrdersWorkshop($ordersWorkshop), 'orders_recargas.xlsx');
    }

    public function prestamos()
    {
        $orders = Prestamo::query()
            ->whereNotNull('estado')
            ->orderBy('id', 'asc')
            ->paginate(30);

        return view('report.prestamos', compact('orders'));
    }

    public function prestamosExcel()
    {
        $orders = Prestamo::query()
            ->whereNotNull('estado')
            ->orderBy('id', 'asc')
            ->get();

        return \Maatwebsite\Excel\Facades\Excel::download(new ExportOrdersprestamos($orders), 'orders_prestamos.xlsx');
    }

    public function test()
    {
        abort(404);
    }
}
