<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use OwenIt\Auditing\Contracts\Auditable;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 * Class BranchOffice
 *
 * @property $id
 * @property $customer_id
 * @property $contact_name
 * @property $contact_phone
 * @property $mobile_phone
 * @property $contact_email
 * @property $created_at
 * @property $updated_at
 * @property $deleted_at
 *
 * @property Customer $customer
 * @package App
 * @mixin \Illuminate\Database\Eloquent\Builder
 */
class BranchOffice extends Model implements Auditable
{
    use SoftDeletes;

    use \OwenIt\Auditing\Auditable;

    static $rules = [
        'name' => 'required',
        'contact_name' => 'required',
    ];

    protected $perPage = 20;

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = ['customer_id', 'name', 'contact_name','contact_phone','mobile_phone','contact_email'];


    /**
     * @return \Illuminate\Database\Eloquent\Relations\HasOne
     */
    public function customer()
    {
        return $this->hasOne('App\Models\Customer', 'id', 'customer_id');
    }


}
