<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use OwenIt\Auditing\Auditable;

class Classe extends Model implements \OwenIt\Auditing\Contracts\Auditable
{
    use HasFactory, SoftDeletes;
    use Auditable;

    protected $table = 'classes';

    protected $fillable = [
        'name',
        'description'
    ];

    public static $rules = [
        'name' => 'required|string|max:255',
    ];
}
