<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use OwenIt\Auditing\Contracts\Auditable;

/**
 * Class Customer
 *
 * @property $id
 * @property $name
 * @property $nit
 * @property $register
 * @property $order
 * @property $email
 * @property $phones
 * @property $contact_name
 * @property $contact_phone
 * @property $mobile_phone
 * @property $contact_email
 * @property $coordinates
 * @property $created_at
 * @property $updated_at
 * @property $deleted_at
 *
 * @package App
 * @mixin \Illuminate\Database\Eloquent\Builder
 */
class Customer extends Model implements Auditable
{
    use SoftDeletes;
    use \OwenIt\Auditing\Auditable;

    static $rules = [
		'name' => 'required',
//		'nit' => 'required',
//		'register' => 'required',
//		'order' => 'required',
		'email' => 'required|email',
//		'phones' => 'required',
//		'contact_name' => 'required',
//		'contact_phone' => 'required',
//		'mobile_phone' => 'required',
//		'contact_email' => 'required',
    ];

    protected $perPage = 20;

    protected $casts = [
        'coordinates' => 'json'
    ];

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = ['name','nit','register','order','email','phones','contact_name','contact_phone','mobile_phone','contact_email','coordinates'];

    public function branchOffices()
    {
        return $this->hasMany(BranchOffice::class);
    }
}
