<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use OwenIt\Auditing\Contracts\Auditable;

class Prestamo extends Model implements Auditable
{
    use HasFactory;
    use \OwenIt\Auditing\Auditable;
    protected $table = 'prestamos';

    protected $fillable = [
        'fecha_prestado',
        'fecha_devolucion',
        'customer_id',
    ];

    protected $casts = [
        'fecha_prestado' => 'date',
        'fecha_devolucion' => 'date',
    ];

    protected $guarded = ['id'];

    public function prestamoDetail()
    {
        return $this->hasMany(PrestamoDetail::class, 'prestamo_id', 'id');
    }

    public function customer()
    {
        return $this->belongsTo(Customer::class);
    }

    public function owner()
    {
        return $this->hasOne('App\Models\User', 'id', 'owner_id');
    }
}
