<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use OwenIt\Auditing\Contracts\Auditable;

class PrestamoDetail extends Model implements Auditable
{
    use HasFactory;
    use \OwenIt\Auditing\Auditable;

    protected $fillable = [
        'categoria',
        'clase',
        'order_detail_id',
        'stock_id',
        'prestamo_id',
        'observacion',
        'estado',
        'cliente',
        'cantidad',
        'marca',
        'extintor',
        'serie'
    ];

    public function prestamo()
    {
        return $this->hasOne(Prestamo::class, 'id', 'prestamo_id');
    }

    public function stock()
    {
        return $this->hasOne(StockModel::class, 'id', 'stock_id');
    }

    public function orderDetail()
    {
        return $this->hasOne(OrderDetail::class, 'id', 'order_detail_id');
    }
}
