<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use OwenIt\Auditing\Contracts\Auditable;

class Usage extends Model implements Auditable
{
    use HasFactory;
    use \OwenIt\Auditing\Auditable;

    protected $casts = [
        'date_recharge' => 'date',
        'date_recharge_expiration' => 'date',
    ];


    public function refill()
    {
        return $this->hasOne('App\Models\Refill', 'id', 'refill_id');
    }

    public function orderDetail()
    {
        return $this->hasOne('App\Models\OrderDetail', 'id', 'order_detail_id');
    }

    public function status()
    {
        $states = [
            'APPROVED' => 'Aprobado',
            'REJECTED' => 'Rechazado',
            'NEW' => 'Pendiente',
        ];

        return $states[$this->state];
    }

    public function action()
    {
        return $this->hasOne('App\Models\Action', 'id', 'action_id');
    }
}
