@extends('layouts.main')

@section('title', '| Proveedores')
@section('titlePage', 'Proveedores')


@section('content')
    <div class="card">
        <div class="card-header pb-0">
            <div class="d-flex justify-content-between">
                <h2 class="card-title mg-b-0">{{ __('Listado de Proveedores') }}</h2>
            </div>
        </div>
        @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
        @endif

        @if ($message = Session::get('error'))
            <div class="alert alert-warning">
                <p>{{ $message }}</p>
            </div>
        @endif

        <div class="card-body">
            <a href="{{ route('provider.create') }}">
                <button id="table2-new-row-button" class="btn btn-primary mb-4">{{ __('Crear Proveedor') }}</button>
            </a>
            <div class="table-responsive border">
                <table class="table table-hover mb-0 text-md-nowrap">
                    <thead class="thead">
                    <tr>
                        <th>No</th>

                        <th>{!!__('C&oacute;digo')!!}</th>
                        <th>{!!__('Acci&oacute;n')!!}</th>
                        <th>{{__('Proveedor')}}</th>
                        <th>{!!__('Tel&eacute;fono')!!}</th>
                        <th>{{__('Contacto')}}</th>
                        <th>{{__('Email')}}</th>

                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach ($actions as $provider)
                        <tr>
                            <td>{{ ++$i }}</td>

                            <td>{{ $provider->code }}</td>
                            <td>{{ $provider->action }}</td>
                            <td>{{ $provider->provider }}</td>
                            <td>{{ $provider->phone }}</td>
                            <td>{{ $provider->contact }}</td>
                            <td>{{ $provider->email }}</td>

                            <td>
                                <form action="{{ route('provider.destroy',$provider->id) }}" method="POST"
                                      onsubmit="return confirm('¿Realmente desea eliminar el proveedor?')">
                                    <a class="btn btn-sm btn-success" href="{{ route('provider.edit',$provider->id) }}"><i
                                                class="fa fa-fw fa-edit"></i></a>
                                    @csrf
                                    @method('DELETE')
                                    <button type="submit" class="btn btn-danger btn-sm"><i
                                                class="fa fa-fw fa-trash"></i></button>
                                </form>
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
                {!! $actions->links('pagination::bootstrap-5') !!}
            </div>
        </div>
    </div>

@endsection
