@extends('layouts.login')

@section('form-login')
    <div class="main-signup-header">
        <h2>{{__('Bienvenido')}}</h2>
        <h5 class="fw-semibold mb-4">{!!__('Por favor inicie sesi&oacute;n para continuar.')!!}</h5>
        <form method="POST" action="{{ route('login') }}">
            @csrf
            <div class="form-group">
                <label>{{__('Email')}}</label>

                <input id="email" type="email" class="form-control @error('email') is-invalid @enderror"
                       name="email" value="{{ old('email') }}" required autocomplete="email" autofocus>

                @error('email')
                <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                @enderror
            </div>
            <div class="form-group">
                <label>{!!__('Contrase&ntilde;a')!!}</label>

                <input id="password" type="password" class="form-control @error('password') is-invalid @enderror"
                       name="password" required autocomplete="current-password">

                @error('password')
                <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                @enderror
            </div>

            <div class="form-group">
                {!! htmlFormSnippet() !!}
            </div>
            <button type="submit" class="btn btn-main-primary btn-block">
                {{ __('Login') }}
            </button>

        </form>
        <div class="main-signin-footer mt-5">
            @if (Route::has('password.request'))
                <a class="btn btn-link" href="{{ route('password.request') }}">
                    {!! __('Olvidaste tu contrase&ntilde;a?') !!}
                </a>
            @endif

        </div>
    </div>
@endsection
