@extends('layouts.main')

@section('title', '| Sucursales')
@section('titlePage', 'Sucursales')

@section('content')
    <div class="card">
        <div class="card-header pb-0">
            <div class="d-flex justify-content-between">
                <h2 class="card-title mg-b-0">{{ __('Branch Office') }} de {{$customer->name}}</h2>
            </div>
        </div>
        @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
        @endif

        <div class="card-body">
            <a href="{{ route('branch-offices.create', $customer->id) }}">
                <button id="table2-new-row-button" class="btn btn-primary mb-4">{{ __('Crear Branch Office') }}</button>
            </a>
            <div class="table-responsive border">
                <table class="table table-hover mb-0 text-md-nowrap">
                    <thead class="thead">
                        <tr>
                            <th>No</th>

										<th>Nombre</th>
										<th>{{__('contact_name')}}</th>
										<th>{{__('contact_phone')}}</th>
										<th>{{__('mobile_phone')}}</th>
										<th>{{__('contact_email')}}</th>

                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($branchOffices as $branchOffice)
                            <tr>
                                <td>{{ ++$i }}</td>

											<td>{{ $branchOffice->name }}</td>
											<td>{{ $branchOffice->contact_name }}</td>
											<td>{{ $branchOffice->contact_phone }}</td>
											<td>{{ $branchOffice->mobile_phone }}</td>
											<td>{{ $branchOffice->contact_email }}</td>

                                <td>
                                    <form action="{{ route('branch-offices.destroy',['customer' => $customer, 'branch_office' => $branchOffice->id]) }}" method="POST" onsubmit="return confirm('¿Realmente desea eliminar la sucursal?')">
                                        <a class="btn btn-sm btn-success" href="{{ route('branch-offices.edit',['customer' => $customer, 'branch_office' => $branchOffice->id]) }}"><i class="fa fa-fw fa-edit"></i></a>
                                        @csrf
                                        @method('DELETE')
                                        <button type="submit" class="btn btn-danger btn-sm"><i class="fa fa-fw fa-trash"></i></button>
                                    </form>
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
                {!! $branchOffices->links('pagination::bootstrap-5') !!}
            </div>
        </div>
    </div>


@endsection
