@extends('layouts.main')

@section('title', '| Marcas')
@section('titlePage', 'Categorías')


@section('content')
    <div class="card">
        <div class="card-header pb-0">
            <div class="d-flex justify-content-between">
                <h2 class="card-title mg-b-0">{{ __('Listado de Categorías') }}</h2>
            </div>
        </div>
        @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
        @endif

        <div class="card-body">
            <a href="{{ route('categories.create') }}">
                <button id="table2-new-row-button" class="btn btn-primary mb-4">{{ __('Crear Categoría') }}</button>
            </a>
            <div class="table-responsive border">
                <table class="table table-hover mb-0 text-md-nowrap">
                    <thead class="thead">
                        <tr>
                            <th>No</th>

										<th>Nombre</th>

                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($categories as $category)
                            <tr>
                                <td>{{ ++$i }}</td>

											<td>{{ $category->name }}</td>

                                <td>
                                    <form action="{{ route('categories.destroy',$category->id) }}" method="POST" onsubmit="return confirm('¿Realmente desea eliminar la categoría?')">
                                        <a class="btn btn-sm btn-success" href="{{ route('categories.edit',$category->id) }}">
                                            <i class="fa fa-fw fa-edit"></i></a>
                                        @csrf
                                        @method('DELETE')
                                        <button type="submit" class="btn btn-danger btn-sm"><i class="fa fa-fw fa-trash"></i></button>
                                    </form>
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
                {!! $categories->links('pagination::bootstrap-5') !!}
            </div>
        </div>
    </div>


@endsection
