<div class="card">
    <div class="card-header pb-0">
        <div class="d-flex justify-content-between">
            <h2 class="card-title mg-b-0">{{ __('Pedidos') }}</h2>
        </div>
    </div>

    <div class="card-body">

        <div class="table-responsive border">


            <table class="table table-hover mb-0 text-md-nowrap">
                <thead class="thead">
                <tr>
                    <th>Fecha de Recibido</th>

                    <th>Cliente</th>
                    <th>Cantidad</th>
                    <th>Categoría</th>
                    <th>Tipo Producto</th>
                    <th>Marca</th>
                    <th>Número ó Serie</th>
                    <th>Precio</th>
                    <th>Asignado</th>
                    <th>QR</th>
                    <th></th>
                </tr>
                </thead>
                <tbody>
                @foreach ($ordersAll as $order)
                    <tr>

                        <td>{{ $order->created_at_format }}</td>
                        <td>{{$order->customer->name}}</td>
                        <td>
                            <a href="#" data-bs-toggle="collapse" data-bs-target=".rows-{{$order->id}}" aria-expanded="false"
                            >
                                {{ count($order->orderDetails ?? [])}}
                            </a>
                        </td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>


                        <td> </td>
                        <td> </td>
                        <td> </td>
                        <td>
                            @if($order->state == 'DONE')
                                <a class="btn btn-sm btn-info"
                                   onclick="return confirm('¿Realmente desea marcar como facturado?' )"
                                   href="{{ route('orders.invoiced',$order->id) }}"
                                >Marcar Facturado</a>
                            @endif
                        </td>
                    </tr>

                    @foreach($order->orderDetails as $detail)
                        <tr class="collapse rows-{{$order->id}}" id="order-{{$detail->id}} detailClick">

                            <td></td>
                            <td></td>
                            <td></td>
                            <td>{{$detail->product->category->name}}</td>
                            <td>{{$detail->product->name}}</td>
                            <td>{{$detail->product->brand->name}}</td>
                            <td>{{$detail->serial_number}}</td>
                            <td>$ {{$detail->price}}</td>
                            <td>{{$detail->owner->name ?? 'Sin Asignar'}}</td>
                            <td>
                                <img src="{{route('qrcode', $detail)}}" style="width: 100px;" title="QR">

                                <i class="fa fa-print" onclick="PrintImage('{{route('qrcode', $detail)}}')" style="cursor: pointer;" title="Imprimir"></i>
                            </td>
                            <td class="text-center">
                                <a href="#" data-bs-target="#addRefill-{{$detail->id}}" data-bs-toggle="modal">
                                    <img src="{{asset('app/img/repair.png')}}" alt="" class="w-25">
                                </a>

                                <div class="modal fade"  id="addRefill-{{$detail->id}}">
                                    <div class="modal-dialog modal-dialog-centered text-center modal-xl" role="document">
                                        <div class="modal-content modal-content-demo">
                                            <div class="modal-header">
                                                <h6 class="modal-title">Repuestos</h6><button aria-label="Close" class="btn-close" data-bs-dismiss="modal"></button>
                                            </div>
                                            <form method="POST" action="{{ route('refills-save-tech') }}"  role="form" enctype="multipart/form-data" >
                                                @csrf
                                                <input type="hidden" name="detail" value="{{$detail->id}}">
                                                <div class="modal-body text-start">
                                                    @php
                                                        $usage = $detail->usages()->where('is_recharge', 1)->first();
                                                    @endphp
                                                    <div class="row">
                                                        <div class="col-3 form-check form-check-lg d-flex align-items-right pl-5">
                                                            <input class="form-check-input checkRecharge" type="checkbox" value="" id="checkebox-lg"
                                                                   data-dr="date_recharge-{{$detail->id}}"
                                                                   data-dre="date_recharge_expiration-{{$detail->id}}"
                                                                {{$usage ? 'checked' : ''}}>
                                                            <label class="form-check-label" for="checkebox-lg">
                                                                Recarga
                                                            </label>
                                                        </div>

                                                        <div class="col-3">
                                                            <label for="date_recharge-{{$detail->id}}" class="form-label">Fecha recarga</label>
                                                            <input type="date" class="form-control"
                                                                   id="date_recharge-{{$detail->id}}"
                                                                   name="date_recharge" required {{$usage ? '' : 'disabled'}}
                                                                   value="{{$usage ? $usage->date_recharge->format('Y-m-d') : ''}}"
                                                            >
                                                        </div>

                                                        <div class="col-3">
                                                            <label for="date_recharge_expiration-{{$detail->id}}" class="form-label">Fecha vencimiento recarga</label>
                                                            <input type="date" class="form-control"
                                                                   id="date_recharge_expiration-{{$detail->id}}"
                                                                   name="date_recharge_expiration" required {{$usage ? '' : 'disabled'}}
                                                                   value="{{$usage ? $usage->date_recharge_expiration->format('Y-m-d') : ''}}"
                                                            >
                                                        </div>
                                                    </div>


                                                    <div class="row mt-5">
                                                        <div class="col-6">
                                                            <input type="text" id="search" class="form-control mb-3 searchRefill"
                                                                   data-table="table-container-{{$detail->id}}"
                                                                   data-detail="{{$detail->id}}"
                                                                   placeholder="Buscar repuesto">
                                                        </div>
                                                    </div>

                                                    <div class="row">
                                                        <div id="table-container-{{$detail->id}}"></div>
                                                    </div>

                                                    <div class="row">
                                                        <table class="table table-hover mb-0 text-md-nowrap" id="table-refills-{{$detail->id}}">
                                                            <thead class="thead">
                                                            <tr>
                                                                <th>Repuesto</th>
                                                                <th>Cantidad</th>
                                                                <th></th>
                                                            </tr>
                                                            </thead>
                                                            <tbody id="table-refills-body-{{$detail->id}}">
                                                            @foreach($detail->usages as $usage)
                                                                @if($usage->is_recharge)
                                                                    @continue
                                                                @endif
                                                                <tr>
                                                                    <td>
                                                                        {{$usage?->refill?->name}}
                                                                    </td>
                                                                    <td>
                                                                        <input type="number" class="form-control" name="quantity[]" min="1" max="{{$usage?->refill?->quantity}}" required value="{{$usage?->quantity}}">
                                                                        <input type="hidden" name="refill[]" value="{{$usage?->refill?->id}}">
                                                                    </td>
                                                                    <td>
                                                                        <button type="button" class="btn btn-danger" onclick="removeDetail(this)">Eliminar</button>
                                                                    </td>
                                                                </tr>
                                                            @endforeach
                                                            </tbody>
                                                        </table>
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button class="btn btn-primary" >Guardar</button>
                                                    <button type="button" class="btn btn-light" data-bs-dismiss="modal" >Cerrar</button>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </td>
                        </tr>
                    @endforeach

                @endforeach
                </tbody>
            </table>
            {!! $ordersAll->links('pagination::bootstrap-5') !!}
        </div>
    </div>
</div>
