<div class="card">
    <div class="card-header pb-0">
        <div class="d-flex justify-content-between">
            <h2 class="card-title mg-b-0">{{ __('Ordenes de retiro') }}</h2>
        </div>
    </div>

    <div class="card-body">

        <form method="get">
            <div class="row mb-2">
                <div class="col-4 inline">
                    <select  name="search" value="{{$search ?? ''}}"  class="form-select select2">
                        <option value="">Estado</option>
                        @foreach (\App\Models\Order::$statesDash as $key => $state)
                            <option value="{{$key}}" {{$key == $search ? 'selected' : ''}}>{{$state}}</option>
                        @endforeach
                    </select>
                </div>

                <div class="col-4 inline">
                    <select  name="customer" value="{{$search ?? ''}}"  class="form-select select2">
                        <option value="">Cliente</option>
                        @foreach (\App\Models\Customer::query()->get() as $customerModel)
                            <option value="{{$customerModel->id}}" {{$customerModel->id == $customer ? 'selected' : ''}}>{{$customerModel->name}}</option>
                        @endforeach
                    </select>
                </div>

                <div class="col-1">
                    <button class="btn btn-info">Buscar</button>
                </div>
            </div>
        </form>

        <div class="float-end">
            <img id="printCards" src="{{asset('app/img/print.png')}}?id=56995789855488989996" style="width: 32px; cursor:pointer;" title="Selecciona y generar tarjetas de control">
            <form action="{{route('report.generatePrintCards')}}" method="post" id="printCardFrm">
                @csrf
            </form>
        </div>
       
        <div class="table-responsive-md">


            <table class="table table-hover mb-0 text-md-nowrap">
                <thead class="thead">
                <tr>
                    <th># de Orden de retiro</th>
                    <th>Fecha de Recibido</th>
                    <th>Estado</th>
                    
                    <th>Asesor</th>
                    <th>Cliente</th>
                    <th>Cantidad de servicios</th>
                    <th>Categoría</th>
                    <th>Tipo extintor</th>
                    <th>Marca</th>
                    <th>Número ó Serie</th>
                    <th>Precio</th>
                    
                    <th>QR</th>
                    <th>Facturar o entregar</th>
                    <th>

                    </th>
                </tr>
                </thead>
                <tbody>
                @foreach ($ordersAll as $order)
                    <tr>

                        <td>{{ $order->id }}</td>
                        <td>{{ $order->created_at_format }}</td>
                        <td>{{ \App\Models\Order::$states[$order->state] }}</td>
                        <td>{{ $order->owner->name}}</td>
                        <td>
                            <a href="#" data-bs-toggle="modal" data-bs-target="#modalCustomer{{$order->customer->id}}-{{$order->id}}">{{$order->customer->name}}</a>

                            <div class="modal fade"  id="modalCustomer{{$order->customer->id}}-{{$order->id}}">
                                <div class="modal-dialog modal-dialog-centered text-center modal-xl" role="document">
                                    <div class="modal-content modal-content-demo">
                                        <div class="modal-header">
                                            <h6 class="modal-title">Cliente</h6><button aria-label="Close" class="btn-close" data-bs-dismiss="modal"></button>
                                        </div>
                                            <div class="modal-body text-start">
                                                <div class="row">
                                                    <table class="table table-hover mb-0 text-md-nowrap" >
                                                        <thead class="thead">
                                                            <tr>
                                                                <th></th>
                                                                <th></th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            <tr>
                                                                <th>Nombre</th>
                                                                <td>{{$order->customer->name}}</td>
                                                            </tr>
                                                            <tr>
                                                                <th>NIT</th>
                                                                <td>{{$order->customer->nit}}</td>
                                                            </tr>
                                                            <tr>
                                                                <th>Correo</th>
                                                                <td>{{$order->customer->email}}</td>
                                                            </tr>
                                                            <tr>
                                                                <th>Teléfono</th>
                                                                <td>{{$order->customer->phones}}</td>
                                                            </tr>
                                                            <tr>
                                                                <th>Registro</th>
                                                                <td>{{$order->customer->register}}</td>
                                                            </tr>
                                                            <tr>
                                                                <th>Giro</th>
                                                                <td>{{$order->customer->order}}</td>
                                                            </tr>
                                                            <tr>
                                                                <th>Contacto</th>
                                                                <td>
                                                                    <ul>
                                                                        <li>NOMBRE: {{ $order->customer->contact_name }}</li>
                                                                        <li>TELÉFONO: {{ $order->customer->contact_phone }}</li>
                                                                        <li>MÓVIL: {{ $order->customer->mobile_phone }}</li>
                                                                        <li>EMAIL: {{ $order->customer->contact_email }}</li>
                                                                    </ul>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <th>Sucursal</th>
                                                                <td>
                                                                    <strong>{{$order?->brancOffice?->name}}</strong>

                                                                    <ul>
                                                                        <li>NOMBRE: {{ $order?->brancOffice?->contact_name }}</li>
                                                                        <li>TELÉFONO: {{ $order?->brancOffice?->contact_phone }}</li>
                                                                        <li>MÓVIL: {{ $order?->brancOffice?->mobile_phone }}</li>
                                                                        <li>EMAIL: {{ $order?->brancOffice?->contact_email }}</li>
                                                                    </ul>
                                                                </td>
                                                            </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-light" data-bs-dismiss="modal" >Cerrar</button>
                                            </div>

                                    </div>
                                </div>
                            </div>
                        </td>
                        <td>
                            <a href="#" data-bs-toggle="collapse" data-bs-target=".rows-{{$order->id}}" aria-expanded="false"
                            >
                                {{ count($order->orderDetails ?? [])}}
                            </a>
                        </td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>


                        <td>$ {{number_format($order->totalPrice(), 2)}} </td>
                        
                        <td> </td>
                        <td>
                            {{--@if($order->state == 'DONE')--}}
                                <a class="btn btn-sm btn-info"
                                   onclick="return confirm('¿Realmente desea marcar como facturado?' )"
                                   href="{{ route('orders.invoiced',$order->id) }}"
                                >Marcar Facturado</a>
                            {{--@endif--}}

                                @if($order->state == 'INVOICED')
                                    <a class="btn btn-sm btn-success"
                                       onclick="return confirm('¿Realmente desea marcar como entregado?' )"
                                       href="{{ route('orders.invoiced',$order->id) }}"
                                    >Marcar Entregado</a>
                                @endif
                        </td>
                        <td>
                            <input type="checkbox" class="printCard" name="orders[]" value="{{$order->id}}">
                        </td>
                    </tr>

                    @foreach($order->orderDetails as $detail)
                        <tr class="collapse rows-{{$order->id}}" id="order-{{$detail->id}} detailClick">

                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td>{{$detail->product?->category?->name}}</td>
                            <td>{{$detail->product?->name}}</td>
                            <td>{{$detail->product?->brand?->name}}</td>
                            <td>{{$detail->serial_number}}</td>
                            <td>$ {{$detail->total()}}</td>
                            
                            <td>
                                @if(in_array($detail->state, ['DONE', 'INVOICED', 'DELIVERED']))
                                    <img  src="{{route('qrcode', $detail)}}" style="width: 100px;" title="QR" loading="lazy">

                                    <i class="fa fa-print" onclick="PrintImage('{{route('qrcode', $detail)}}')" style="cursor: pointer;" title="Imprimir"></i>

                                @endif
                                    <i class="fa fa-book" onclick="PrintPDF('{{route('vineta')}}?orderDetail={{$detail->id}}')" style="cursor: pointer;" title="Imprimir Vi&ntilde;eta"></i>
                            </td>
                            <td class="text-center">
                                <a href="#" data-bs-target="#addRefill-{{$detail->id}}" data-bs-toggle="modal">
                                    <img src="{{asset('app/img/repair.png')}}" alt="" class="w-25">
                                </a>

                                <div class="modal fade"  id="addRefill-{{$detail->id}}">
                                    <div class="modal-dialog modal-dialog-centered text-center modal-xl" role="document">
                                        <div class="modal-content modal-content-demo">
                                            <div class="modal-header">
                                                <h6 class="modal-title">Repuestos</h6><button aria-label="Close" class="btn-close" data-bs-dismiss="modal"></button>
                                            </div>
                                            <form method="POST" action="{{ route('refills-save-tech') }}"  role="form" enctype="multipart/form-data" >
                                                @csrf
                                                <input type="hidden" name="detail" value="{{$detail->id}}">
                                                <div class="modal-body text-start">
                                                    @php
                                                        $usage = $detail->usages()->where('is_recharge', 1)->first();
                                                    @endphp
                                                    <div class="row">
                                                        <div class="col-3 form-check form-check-lg d-flex align-items-right pl-5">
                                                            <input class="form-check-input checkRecharge" type="checkbox" value="" id="checkebox-lg"
                                                                   data-dr="date_recharge-{{$detail->id}}"
                                                                   data-dre="date_recharge_expiration-{{$detail->id}}"
                                                                {{$usage ? 'checked' : ''}}>
                                                            <label class="form-check-label" for="checkebox-lg">
                                                                Recarga
                                                            </label>
                                                        </div>

                                                        <div class="col-3">
                                                            <label for="date_recharge-{{$detail->id}}" class="form-label">Fecha recarga</label>
                                                            <input type="date" class="form-control"
                                                                   id="date_recharge-{{$detail->id}}"
                                                                   name="date_recharge" required {{$usage ? '' : 'disabled'}}
                                                                   value="{{$usage ? $usage->date_recharge->format('Y-m-d') : ''}}"
                                                            >
                                                        </div>

                                                        <div class="col-3">
                                                            <label for="date_recharge_expiration-{{$detail->id}}" class="form-label">Fecha vencimiento recarga</label>
                                                            <input type="date" class="form-control"
                                                                   id="date_recharge_expiration-{{$detail->id}}"
                                                                   name="date_recharge_expiration" required {{$usage ? '' : 'disabled'}}
                                                                   value="{{$usage ? $usage->date_recharge_expiration->format('Y-m-d') : ''}}"
                                                            >
                                                        </div>
                                                    </div>


                                                    <div class="row mt-5">
                                                        <div class="col-6">
                                                            <input type="text" id="search" class="form-control mb-3 searchRefill"
                                                                   data-table="table-container-{{$detail->id}}"
                                                                   data-detail="{{$detail->id}}"
                                                                   placeholder="Buscar repuesto">
                                                        </div>
                                                    </div>

                                                    <div class="row">
                                                        <div id="table-container-{{$detail->id}}"></div>
                                                    </div>

                                                    <div class="row">
                                                        <table class="table table-hover mb-0 text-md-nowrap" id="table-refills-{{$detail->id}}">
                                                            <thead class="thead">
                                                            <tr>
                                                                <th>Repuesto</th>
                                                                <th>Precio Unitario</th>
                                                                <th>Cantidad</th>
                                                                <th></th>
                                                            </tr>
                                                            </thead>
                                                            <tbody id="table-refills-body-{{$detail->id}}">
                                                            @foreach($detail->usages as $usage)
                                                                @if($usage->is_recharge)
                                                                    @continue
                                                                @endif
                                                                <tr>
                                                                    <td>
                                                                        {{$usage?->refill?->name}}
                                                                    </td>
                                                                    <td>
                                                                        $ {{$usage?->refill?->price_unit}}
                                                                    </td>
                                                                    <td>
                                                                        <input type="number" class="form-control" name="quantity[]" min="1" max="{{$usage?->refill?->quantity}}" required value="{{$usage?->quantity}}">
                                                                        <input type="hidden" name="refill[]" value="{{$usage?->refill?->id}}">
                                                                    </td>
                                                                    <td>
                                                                        <button type="button" class="btn btn-danger" onclick="removeDetail(this)">Eliminar</button>
                                                                    </td>
                                                                </tr>
                                                            @endforeach
                                                            </tbody>
                                                        </table>
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button class="btn btn-primary" >Guardar</button>
                                                    <button type="button" class="btn btn-light" data-bs-dismiss="modal" >Cerrar</button>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <td>
                                @if($detail->print_card)
                                    <a href="#" target="_blank" data-bs-toggle="modal" data-bs-target="#modalPrintCard{{$detail->id}}">
                                        <img src="{{asset('app/img/download.png')}}?id=56995789855488989996">
                                    </a>


                                    <div class="modal fade"  id="modalPrintCard{{$detail->id}}">
                                        <div class="modal-dialog modal-dialog-centered text-center" role="document">
                                            <div class="modal-content modal-content-demo">
                                                <div class="modal-header">
                                                    <h6 class="modal-title">Imprimir</h6><button aria-label="Close" class="btn-close" data-bs-dismiss="modal"></button>
                                                </div>
                                                <div class="modal-body text-start">
                                                    <div class="row">
                                                        <div class="alert alert-primary" role="alert">
                                                            ¿Desea imprimir el documento?
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-warning" onclick="PrintPDF('{{route('report.downloadPrintCard', ['detail' => $detail->id, '__cx' => time()])}}')">Imprimir</button>
                                                    <button type="button" class="btn btn-light" data-bs-dismiss="modal" >Cerrar</button>
                                                </div>

                                            </div>
                                        </div>
                                    </div>
                                @endif
                            </td>
                        </tr>
                    @endforeach

                @endforeach
                </tbody>
            </table>
            {!! $ordersAll->appends(['search' => $search, 'customer' => $customer])->links('pagination::bootstrap-5') !!}
        </div>
    </div>
</div>
