<div class="card">
    <div class="card-body">

            <div class="table-responsive border">
                <table class="table table-hover mb-0 text-md-nowrap">
                    <thead class="thead">
                    <tr>
                        <th>Código</th>
                        <th>Pedido</th>
                        <th>Fecha de Recibido</th>
                        <th>Cliente</th>
                        <th>Cantidad</th>
                        <th>Categoría</th>
                        <th>Tipo Producto</th>
                        <th>Marca</th>
                        <th>Número ó Serie</th>
                        <th>Fotos</th>
                        <th>Observaciones</th>
                        <th>Asignado</th>
                        <th>Tiempo taller</th>
                        <th>Repuestos / Recarga</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                        @foreach($details as $detail)
                            <tr>
                                <td>{{$detail->id}}</td>
                                <td>{{$detail->order->id}}</td>
                                <td>{{$detail->order->date_workshop}}</td>
                                <td>{{$detail->order->customer->name}}</td>
                                <td>{{$detail->quantity}}</td>
                                <td>{{$detail->product->category->name}}</td>
                                <td>{{$detail->product->name}}</td>
                                <td>{{$detail->product->brand->name}}</td>
                                <td>{{$detail->serial_number}}</td>
                                <td>
                                    @php
                                        $rnd = uniqid();
                                    @endphp
                                    <a href="#" data-bs-toggle="modal" data-bs-target="#photo_{{$rnd}}">Fotos</a>

                                    <div class="modal fade"  id="photo_{{$rnd}}">
                                        <div class="modal-dialog modal-dialog-centered text-center modal-xl" role="document">
                                            <div class="modal-content modal-content-demo">
                                                <div class="modal-header">
                                                    <h6 class="modal-title">Fotos</h6><button aria-label="Close" class="btn-close" data-bs-dismiss="modal"></button>
                                                </div>


                                                <div class="modal-body text-start">
                                                    <div class="row">
                                                        <div class="col-6 mt-2">
                                                            <img src="{{ route('photo', ['order' => $detail, 's' => 'front']) }}" alt="" style="width: 200px;">
                                                        </div>
                                                        <div class="col-6 mt-2">
                                                            <img src="{{ route('photo', ['order' => $detail, 's' => 'back']) }}" alt="" style="width: 200px;">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-light" data-bs-dismiss="modal" >Cerrar</button>
                                                </div>

                                            </div>
                                        </div>
                                    </div>
                                </td>
                                <td>{{$detail->observation}}</td>
                                <td>{{$detail->owner->name ?? 'Sin Asignar'}}</td>
                                <td>{{$detail->order?->date_workshop?->diffForHumans(now())}}</td>
                                <td class="text-center">
                                    <a href="#" data-bs-target="#addRefill-{{$detail->id}}" data-bs-toggle="modal">
                                        <img src="{{asset('app/img/repair.png')}}" alt="" class="w-25">
                                    </a>

                                    <div class="modal fade"  id="addRefill-{{$detail->id}}">
                                        @include('refill.modal_refill')
                                    </div>
                                </td>
                                <td>
                                    @if($detail->canFinnish())
                                        <a class="btn btn-sm btn-info" href="{{ route('tecnical.done', ['detail' => $detail->id, '__cx' => time()]) }}" onclick="return confirm('¿Desea finalizar la reparación / recarga de este producto?')">
                                            Finalizar
                                        </a>
                                    @endif
                                </td>
                            </tr>
                        @endforeach

                    </tbody>
                </table>
                {!! $details->links('pagination::bootstrap-5') !!}
            </div>

    </div>
</div>
