<div class="card">
    <div class="card-header pb-0">
        <div class="d-flex justify-content-between">
            <h2 class="card-title mg-b-0">{{ __('ESTADO DE LAS ORDENES DE RETIRO') }}</h2>
        </div>
    </div>

    <div class="card-body">

        <div class="table-responsive border">


            <table class="table table-hover mb-0 text-md-nowrap">
                <thead class="thead">
                <tr>
                    <th># Orden de retiro</th>
                    <th>Fecha de Recibido</th>

                    <th>Estado</th>
                    <th>Cliente</th>
                    <th>Cantidad</th>
                    <th>Categoría</th>
                    <th>Tipo Extintor</th>
                    <th>Marca</th>
                    <th>Número ó Serie</th>
                    <th>Prioridad</th>
                    <th>QR</th>
                    <th></th>
                </tr>
                </thead>
                <tbody>
                @foreach ($ordersUser as $order)
                    <tr>

                        <td>{{ $order->id }}</td>
                        <td>{{ $order->created_at_format }}</td>
                        <td>{{ \App\Models\Order::$states[$order->state] }}</td>
                        <td>
                            <a href="#" data-bs-toggle="modal" data-bs-target="#modalCustomer{{$order->customer->id}}-{{$order->id}}">{{$order->customer->name}}</a>

                            <div class="modal fade"  id="modalCustomer{{$order->customer->id}}-{{$order->id}}">
                                <div class="modal-dialog modal-dialog-centered text-center modal-xl" role="document">
                                    <div class="modal-content modal-content-demo">
                                        <div class="modal-header">
                                            <h6 class="modal-title">Cliente</h6><button aria-label="Close" class="btn-close" data-bs-dismiss="modal"></button>
                                        </div>
                                        <div class="modal-body text-start">
                                            <div class="row">
                                                <table class="table table-hover mb-0 text-md-nowrap" >
                                                    <thead class="thead">
                                                    <tr>
                                                        <th></th>
                                                        <th></th>
                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                    <tr>
                                                        <th>Nombre</th>
                                                        <td>{{$order->customer->name}}</td>
                                                    </tr>
                                                    <tr>
                                                        <th>Ruc</th>
                                                        <td>{{$order->customer->nit}}</td>
                                                    </tr>
                                                    <tr>
                                                        <th>Correo</th>
                                                        <td>{{$order->customer->email}}</td>
                                                    </tr>
                                                    <tr>
                                                        <th>Teléfono</th>
                                                        <td>{{$order->customer->phones}}</td>
                                                    </tr>
                                                    <tr>
                                                        <th>Registro</th>
                                                        <td>{{$order->customer->register}}</td>
                                                    </tr>
                                                    <tr>
                                                        <th>Giro</th>
                                                        <td>{{$order->customer->order}}</td>
                                                    </tr>
                                                    <tr>
                                                        <th>Contacto</th>
                                                        <td>
                                                            <ul>
                                                                <li>NOMBRE: {{ $order->customer->contact_name }}</li>
                                                                <li>TELÉFONO: {{ $order->customer->contact_phone }}</li>
                                                                <li>MÓVIL: {{ $order->customer->mobile_phone }}</li>
                                                                <li>EMAIL: {{ $order->customer->contact_email }}</li>
                                                            </ul>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <th>SUCURSAL:</th>
                                                        <td>

                                                            <strong>{{$order?->brancOffice?->name}}</strong>

                                                            <ul>
                                                                <li>NOMBRE: {{ $order?->brancOffice?->contact_name }}</li>
                                                                <li>TELÉFONO: {{ $order?->brancOffice?->contact_phone }}</li>
                                                                <li>MÓVIL: {{ $order?->brancOffice?->mobile_phone }}</li>
                                                                <li>EMAIL: {{ $order?->brancOffice?->contact_email }}</li>
                                                            </ul>
                                                            
                                                        </td>
                                                    </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-light" data-bs-dismiss="modal" >Cerrar</button>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </td>
                        <td>
                            <a href="#" data-bs-toggle="collapse" data-bs-target=".rows-{{$order->id}}" aria-expanded="false">

                                {{ count($order->orderDetails ?? [])}}
                            </a>
                        </td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td> </td>
                        <td>
                        @if($order->priority===0)
                                    <p class="text-success">Normal</p>
                                    @else
                                    <p class="text-danger">Alta</p>
                        @endif

                        </td>
                        <td> </td>
                        <td>


                                @if($order->state == 'INVOICED')
                                    <a class="btn btn-sm btn-success"
                                       onclick="return confirm('¿Realmente desea marcar como entregado?' )"
                                       href="{{ route('orders.invoiced',$order->id) }}"
                                    >Marcar Entregado</a>
                                @endif
                        </td>
                    </tr>

                    @foreach($order->orderDetails as $detail)
                        <tr class="collapse rows-{{$order->id}}" id="order-{{$detail->id}} detailClick">

                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td>{{$detail->product->category->name}}</td>
                            <td>{{$detail->product->name}}</td>
                            <td>{{$detail->product->brand->name}}</td>
                            <td>{{$detail->serial_number}}</td>
                            <td>{{$detail->owner->name ?? 'Area Técnica'}}</td>
                            <td>
                                @if(in_array($detail->state, ['DONE', 'INVOICED', 'DELIVERED']))
                                <img src="{{route('qrcode', $detail)}}" style="width: 100px;" title="QR" loading="lazy">

                                <i class="fa fa-print" onclick="PrintImage('{{route('qrcode', $detail)}}')" style="cursor: pointer;" title="Imprimir"></i>
                                @endif
                            </td>
                            <td class="text-center">
{{--                                <a href="#" data-bs-target="#addRefill-{{$detail->id}}" data-bs-toggle="modal">--}}
{{--                                    <img src="{{asset('app/img/repair.png')}}" alt="" class="w-25">--}}
{{--                                </a>--}}

{{--                                <div class="modal fade"  id="addRefill-{{$detail->id}}">--}}
{{--                                    @include('refill.modal_refill')--}}
{{--                                </div>--}}
                            </td>
                        </tr>
                    @endforeach

                @endforeach
                </tbody>
            </table>
            {!! $ordersUser->links('pagination::bootstrap-5') !!}
        </div>
    </div>
</div>
