@extends('layouts.main')

@section('title', '| Management')
@section('titlePage', 'Management')

@section('content')
    <div class="card">
        <div class="card-header pb-0">
            <div class="d-flex justify-content-between">
                <h2 class="card-title mg-b-0">{{ __('Management') }}</h2>
            </div>
        </div>
        @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
        @endif

        <div class="card-body">
            <a href="{{ route('management.create') }}">
                <button id="table2-new-row-button" class="btn btn-primary mb-4">{{ __('Crear Management') }}</button>
            </a>
            <div class="table-responsive border">
                <table class="table table-hover mb-0 text-md-nowrap">
                    <thead class="thead">
                        <tr>
                            <th>No</th>
                            
										<th>Type Management Id</th>
										<th>Order Id</th>
										<th>Owner Id</th>
										<th>Delivery Date</th>
										<th>Real Delivery Date</th>
										<th>Observation</th>
										<th>Created By</th>

                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($management as $management)
                            <tr>
                                <td>{{ ++$i }}</td>
                                
											<td>{{ $management->type_management_id }}</td>
											<td>{{ $management->order_id }}</td>
											<td>{{ $management->owner_id }}</td>
											<td>{{ $management->delivery_date }}</td>
											<td>{{ $management->real_delivery_date }}</td>
											<td>{{ $management->observation }}</td>
											<td>{{ $management->created_by }}</td>

                                <td>
                                    <form action="{{ route('management.destroy',$management->id) }}" method="POST" onsubmit="return confirm('¿Realmente desea eliminar el Management?')">
                                        <a class="btn btn-sm btn-success" href="{{ route('management.edit',$management->id) }}"><i class="fa fa-fw fa-edit"></i></a>
                                        @csrf
                                        @method('DELETE')
                                        <button type="submit" class="btn btn-danger btn-sm"><i class="fa fa-fw fa-trash"></i></button>
                                    </form>
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
                {!! $management->links('pagination::bootstrap-5') !!}
            </div>
        </div>
    </div>


@endsection
