<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <style>
        * {
            -webkit-box-sizing: border-box;
            -moz-box-sizing: border-box;
            box-sizing: border-box;
        }

        h1,h2,h3,h4,h5,h6,p,span,div {
            font-family: DejaVu Sans;
            font-size:10px;
            font-weight: normal;
        }

        th,td {
            font-family: DejaVu Sans;
            font-size:10px;
        }

        .panel {
            margin-bottom: 20px;
            background-color: #fff;
            border: 1px solid transparent;
            border-radius: 4px;
            -webkit-box-shadow: 0 1px 1px rgba(0,0,0,.05);
            box-shadow: 0 1px 1px rgba(0,0,0,.05);
        }

        .panel-default {
            border-color: #ddd;
        }

        .panel-body {
            padding: 15px;
        }

        table {
            width: 100%;
            max-width: 100%;
            margin-bottom: 0px;
            border-spacing: 0;
            border-collapse: collapse;
            background-color: transparent;

        }

        thead  {
            text-align: left;
            display: table-header-group;
            vertical-align: middle;
        }

        th, td  {
            border: 1px solid #ddd;
            padding: 6px;
        }

        .well {
            min-height: 20px;
            padding: 19px;
            margin-bottom: 20px;
            background-color: #f5f5f5;
            border: 1px solid #e3e3e3;
            border-radius: 4px;
            -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.05);
            box-shadow: inset 0 1px 1px rgba(0,0,0,.05);
        }
    </style>
</head>
<body>
<header>
    <div style="position:absolute; left:0pt; width:250pt;">
        <img src="{{asset('app/img/logo.png')}}">
    </div>
    <div style="margin-left:300pt;">
        <b>Fecha: </b> {!!  date('d-m-Y') !!}<br />



        <br />
    </div>
</header>
<br>
<br>
<br>
<br>
<br>
<br><br>
<strong>** Extintores a retirar **</strong>
<br>
<br>
<main>

    <h3>Cliente:</h3>
    <table class="table table-bordered">
        <tbody>
            <tr>
                <th>Nombre</th>
                <td>{{$order->customer->name}}</td>
                <th>NIT</th>
                <td>{{$order->customer->nit}}</td>
                <th>EMAIL</th>
                <td>{{$order->customer->email}}</td>
            </tr>

            <tr>
                <th>Teléfono</th>
                <td>{{$order->customer->phones}}</td>
                <th>Regsitro</th>
                <td>{{$order->customer->register}}</td>
                <th>Giro</th>
                <td>{{$order->customer->order}}</td>
            </tr>

            <tr>
                <th>Sucursal</th>
                <td>{{$order?->brancOffice?->name}}</td>
                <th># de Orden</th>
                <td>{{$order->id}}</td>
                <th colspan="4"></th>
            </tr>
        </tbody>
    </table> <br><br>

    <h3>Vendedor:</h3>
    <table class="table table-bordered">
        <tbody>
        <tr>
            <th>Nombre</th>
            <td>{{$order->owner->name}}</td>
            <th>EMAIL</th>
            <td>{{$order->owner->email}}</td>
        </tr>
        </tbody>
    </table> <br><br>

    <table class="table table-bordered">
        <thead>
        <tr>
            <th>Categoría del equipo</th>
            <th>Tipo extintor</th>
            <th>Marca</th>
            <th>Número o Serie</th>
            <th>Observaciones</th>
            <th>Cantidad</th>
            {{--<th>Precio</th>--}}
        </tr>
        </thead>
        <tbody>
            @foreach($order->orderDetails as $detail)
                <tr>

                    <td>{{$detail->product->category->name}}</td>
                    <td>{{$detail->product->name}}</td>
                    <td>{{$detail->product->brand->name}}</td>
                    <td>{{$detail->serial_number}}</td>
                    <td>{{$detail->observation}}</td>
                    <td>{{$detail->quantity}}</td>
                    {{--<td>$ {{$detail->price}}</td>--}}
                </tr>
            @endforeach

        <tr>
            <th colspan="5" style="text-align: right;">Total</th>
            <td>{!! ($order->totalQuantity()) !!}</td>
            {{--<td>$ {!! number_format($order->totalPrice(), 2) !!}</td>--}}
        </tr>
        </tbody>
    </table>
    <br><br>
{{--    <strong>** Precios no tiene IVA y no incluye repuestos. **</strong>--}}
</main>
</body>
</html>
