@extends('layouts.main')

@section('title', '| Prestamos')
@section('titlePage', 'Prestamos')

@section('content')
    <div class="card">
        <div class="card-header pb-0">
            <div class="d-flex justify-content-between">
                <h2 class="card-title mg-b-0">{{ __('Listado de Prestamos') }}</h2>
            </div>
        </div>
        @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
        @endif

        <div class="card-body">
            @role('Taller') 
            @else
                <a href="{{ route('prestamos-orders.create') }}">
                    <button id="table2-new-row-button" class="btn btn-primary mb-4">{!! __('Crear Pr&eacute;stamo') !!}</button>
                </a>
           @endrole

            <div class="table-responsive border">

                <table class="table table-hover mb-0 text-md-nowrap">
                    <thead>
                        <tr>
                            <th>Orden Prestamo</th>
                            <th>Cliente</th>
                            <th>Fecha de préstamos</th>
                            <th>Fecha de devoluci&oacute;n</th>
                            <th>Cantidad</th>
                            <th>Estado</th>

                            <th></th>

                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($orders as $order)
                            <tr>
                                <td>{{ $order->id }}</td>
                                <td>{{ $order?->customer?->name }}</td>
                                <td>{{ $order?->fecha_prestado?->format('d-m-Y') }}</td>
                                <td>{{ $order?->fecha_devolucion?->format('d-m-Y') }}</td>
                                <td>{{ $order?->prestamoDetail()?->count() }}</td>
                                <td>{{ $order->estado }}</td>
                                <td>
                                    <a href="{{ route('prestamos-orders.edit', $order->id) }}" class="btn btn-info">
                                        <i class="fas fa-edit"></i>
                                    </a>
                                </td>

                            </tr>
                        @endforeach
                    </tbody>
                </table>

                {!! $orders->links('pagination::bootstrap-5') !!}
            </div>
        </div>
    </div>

    <div class="card">
        <div class="card-header pb-0">
            <div class="d-flex justify-content-between">
                <h2 class="card-title mg-b-0">{{ __('Stock de extintores en bodega') }}</h2>
            </div>
        </div>

        <div class="card-body">
            @role('Operaciones')
                <a href="{{ route('stock.create') }}">
                    <button id="table2-new-row-button" class="btn btn-primary mb-4">{{ __('Nuevo extintor') }}</button>
                </a>
            @endrole
            <div class="table-responsive border">
                <table class="table table-hover mb-0 text-md-nowrap">
                    <thead class="thead">
                    <tr>
                        <th>Nombre</th>
                        <th>Marca</th>
                        <th>Categoria</th>
                        <th>Clase</th>
                        <th>Capacidad</th>
                        <th>Cantidad</th>
                        <th>Prestados</th>
                        <th>Acciones</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($stocks as $stock)
                        <tr>
                            <td>{{$stock->nombre}}</td>
                            <td>{{$stock->marca}}</td>
                            <td>{{$stock->categoria}}</td>
                            <td>{{$stock->clase}}</td>
                            <td>{{$stock->capacidad}}</td>
                            <td>{{$stock->cantidad}}</td>
                            <td>{{$stock->prestados ?? 0}}</td>
                            <td>
                                @role('Operaciones')
                                    <a class="btn btn-warning" href="{{route('stock.edit', $stock->id)}}">Editar</a>
                                @endrole
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
                {!! $stocks->links('pagination::bootstrap-5') !!}
            </div>
        </div>
    </div>


@endsection
