@extends('layouts.main')

@section('title', '| Prestamos')
@section('titlePage', 'Nuevo Préstamo')

@section('content')
<div class="container">
    <div class="card">
        <div class="card-header">
            <h3>Crear Nuevo Préstamo</h3>
           
        </div>
        <div class="card-body">
        <form action="{{ route('prestamos.store') }}" method="POST">
    @csrf
    <div class="form-group">
        <label for="fecha_prestado">Fecha de Préstamo</label>
        <input type="date" class="form-control" id="fecha_prestado" name="fecha_prestado" required>
    </div>
    
    <div class="form-group">
        <label for="marca">Marca</label>
        <input type="text" class="form-control" id="marca" name="marca" placeholder="Busca una marca" required>
        <input type="hidden" id="brand_id" name="brand_id">
    </div>

    <div class="form-group">
        <label for="clase">Clase</label>
        <select class="form-control" id="clase" name="clase" required>
            <option value="">Selecciona una clase</option>
            @foreach ($classes as $class)
                <option value="{{ $class->name }}">{{ $class->name }}</option>
            @endforeach
        </select>
    </div>

    <div class="form-group">
        <label for="categoria">Categoria</label>
        <select class="form-control" id="categoria" name="categoria" required>
            <option value="">Selecciona una categoría</option>
            @foreach ($categories as $category)
                <option value="{{ $category->name }}">{{ $category->name }}</option>
            @endforeach
        </select> 
    </div>

    <div class="form-group">
        <label for="stock">producto (Stock)</label>
        <input type="text" class="form-control" id="stock" name="stock" placeholder="Selecciona un extintor" required disabled>
        <input type="hidden" id="stock_id" name="stock_id">
    </div> 

    <input type="hidden" id="is_order_detail" name="is_order_detail" value="0">
    <input type="hidden" id="order_detail_id" name="order_detail_id" value="">
    <input type="hidden" id="order_id" name="order_id" value="">

    <div class="form-group">
    <label for="cliente">Cliente</label>
    <input type="text" class="form-control" id="cliente" name="cliente" required>
    <input type="hidden" id="cliente_id" name="cliente_id"> <!-- Campo oculto para almacenar el ID del cliente -->
</div>

    <div class="form-group">
        <label for="cantidad">Cantidad</label>
        <input type="number" class="form-control" id="cantidad" name="cantidad" required>
    </div>
    
    <div class="form-group">
        <label for="producto">producto</label>
        <input type="text" class="form-control" id="producto" name="producto">
    </div>
    <div class="form-group">
        <label for="serie">Serie</label>
        <input type="text" class="form-control" id="serie" name="serie">
    </div>
    
    <button type="submit" class="btn btn-primary">Guardar</button>
</form>

        </div>
    </div>
</div>

@endsection
