@extends('layouts.main')

@section('title', '| Prestamos')
@section('titlePage', 'Nuevo Extintor')

@section('content')
<div class="container">
    <div class="card">
        <div class="card-header">
            <h3>Crear Nuevo extintor</h3>
        </div>
        <div class="card-body">
            <form action="{{ route('stock.store') }}" method="POST">
                @csrf
                <div class="form-group">
                    <label for="nombre">Nombre del extintor</label>
                    <input type="text" class="form-control" id="nombre" name="nombre" required>
                </div>
                <div class="form-group">
                    <label for="marca">Marca</label>
                    <select class="form-control" id="marca" name="marca" required>
                        <option value="">Selecciona una marca</option>
                        @foreach ($marcas as $marca)
                        <option value="{{ $marca->name }}" data-id="{{ $marca->id }}">{{ $marca->name }}</option>
                        @endforeach
                    </select>
                    <input type="hidden" id="brand_id" name="brand_id">
                </div>
                <div class="form-group">
                    <label for="categoria">Categoría</label>
                    <select class="form-control" id="categoria" name="categoria" required>
                        <option value="">Selecciona una categoria</option>
                        @foreach ($categorias as $categoria)
                            <option value="{{ $categoria->name }}">{{ $categoria->name }}</option>
                        @endforeach
                    </select>
                </div>
                <div class="form-group">
                    <label for="clase">Clase</label>
                    <select class="form-control" id="clase" name="clase" required>
                        <option value="">Selecciona una clase</option>
                        @foreach ($clases as $clase)
                            <option value="{{ $clase->name }}">{{ $clase->name }}</option>
                        @endforeach
                    </select>
                </div>
                <div class="form-group">
                    <label for="capacidad">Capacidad</label>
                    <input type="text" class="form-control" id="capacidad" name="capacidad">
                </div>
                <div class="form-group">
                    <label for="cantidad">Cantidad</label>
                    <input type="number" class="form-control" id="cantidad" name="cantidad" required>
                </div>
                <div class="form-group">
                    <label for="serie">Serie</label>
                    <input type="text" class="form-control" id="serie" name="serie">
                </div>
                <button type="submit" class="btn btn-primary">Guardar</button>
            </form>
        </div>
    </div>
</div>
@endsection
