@extends('layouts.main')

@section('title', '| Editar producto')
@section('titlePage', 'Editar extintor')

@section('content')
<div class="container">
    <div class="card">
        <div class="card-header">
            <h3>Editar extintor</h3>
        </div>
        <div class="card-body">
            <form action="{{ route('stock.update', $producto->id) }}" method="POST">
                @csrf
                @method('PUT')
                <div class="form-group">
                    <label for="nombre">Nombre del extintor</label>
                    <input type="text" class="form-control" id="nombre" name="nombre" value="{{ $producto->nombre }}" required>
                </div>
                <div class="form-group">
                    <label for="marca">Marca</label>
                    <input type="text" class="form-control" id="marca" name="marca" value="{{ $producto->marca }}" required>
                </div>
                <div class="form-group">
                    <label for="categoria">Categoría</label>
                    <input type="text" class="form-control" id="categoria" name="categoria" value="{{ $producto->categoria }}" required>
                </div>
                <div class="form-group">
                    <label for="clase">Clase</label>
                    <input type="text" class="form-control" id="clase" name="clase" value="{{ $producto->clase }}">
                </div>
                <div class="form-group">
                    <label for="capacidad">Capacidad</label>
                    <input type="number" step="0.01" class="form-control" id="capacidad" name="capacidad" value="{{ $producto->capacidad }}">
                </div>
                <div class="form-group">
                    <label for="cantidad">Cantidad</label>
                    <input type="number" class="form-control" id="cantidad" name="cantidad" value="{{ $producto->cantidad }}" required>
                </div>
                <div class="form-group">
                    <label for="serie">Serie</label>
                    <input type="text" class="form-control" id="serie" name="serie" value="{{ $producto->serie }}">
                </div>
                <button type="submit" class="btn btn-primary">Actualizar</button>
            </form>
        </div>
    </div>
</div>
@endsection
