@extends('layouts.main')

@section('title', '| Prestamos')
@section('titlePage', 'Préstamos')

@section('content')

@role('Admin|Operaciones')
    <div class="row">
    @if ($message = Session::get('success'))
                    <div class="alert alert-success">
                        <p>{{ $message }}</p>
                    </div>
                @endif
        <!-- Primera columna -->
        <div class="col-md-12">
            <div class="card">
                <div class="card-header pb-0">
                    <div class="d-flex justify-content-between">
                        <h2 class="card-title mg-b-0">{{ __('Préstamos') }}</h2>
                    </div>
                </div>


                <div class="card-body">
                    <a href="{{ route('prestamo.create') }}">
                        <button id="table2-new-row-button" class="btn btn-primary mb-4">{{ __('Nuevo Préstamo') }}</button>
                    </a>
                    <div class="table-responsive border">
                        <table class="table table-hover mb-0 text-md-nowrap">
                            <thead class="thead">
                                <tr>
                                    <th>Cliente</th>
                                    <th>Fecha de préstamos</th>
                                    <th>Fecha de devolucion</th>
                                    <th>Cantidad</th>
                                    <th>Marca</th>
                                    <th>Extintor</th>
                                    <th>No. de Serie</th>
                                    <th>Estado</th>
                                    <th>Observaciones</th>
                                    <th>Acciones</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($prestamos as $prestamo)
                                    <tr>
                                        <td>{{$prestamo->cliente}}</td>
                                        <td>{{$prestamo->fecha_prestado}}</td>
                                        <td>{{$prestamo->fecha_devolucion}}</td>
                                        <td>{{$prestamo->cantidad}}</td>
                                        <td>{{$prestamo->marca}}</td>
                                        <td>
                                            @if($prestamo->order_detail_id!=null)
                                            <button type="button" class="btn btn-secondary"
                                            data-bs-toggle="tooltip" data-bs-placement="top"
                                            data-bs-custom-class="custom-tooltip"
                                            data-bs-title="# de Orden de retiro= {{$prestamo->order_id}}">
                                            {{$prestamo->extintor}}
                                            </button>
                                            @else
                                            {{$prestamo->extintor}}
                                            @endif
                                        </td>
                                        <td>{{$prestamo->serie}}</td>
                                        <td><a href="#" data-bs-toggle="modal" data-bs-target="#exampleModal{{$prestamo->id}}"><span class="text-success">{{$prestamo->estado}}</span></a></td>
                                        <td>{{$prestamo->observacion}}</td>
                                        <td><a class="btn btn-warning" href="">Editar</a></td>
                                    </tr>
                                    <!-- Modal -->
    <div class="modal fade" id="exampleModal{{$prestamo->id}}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h1 class="modal-title fs-5" id="exampleModalLabel">Cambiar Estado</h1>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
          </div>
          <div class="modal-body">
          <form action="{{ route('prestamo.devolucion', $prestamo->id) }}" method="POST">
                    @csrf
                    @method('PUT')
                    <div class="form-group">
                        <label for="nombre">Estado</label>
                    <select type="text" class="form-control" name="estado">
                        <option value="POR APROBAR">POR APROBAR</option>
                        <option value="PRESTADO">PRESTADO</option>
                        <option value="DEVUELTO">DEVUELTO</option>
                        <option value="RECHAZADO">RECHAZADO</option>
                    <select>
                    </div>
                    <div class="form-group">
                        <label for="nombre">Observaciones</label>
                    <textarea type="text" class="form-control" name="observacion">
                    </textarea>
                    </div>
                    <input type="hidden" name="stock_id" value="{{$prestamo->stock_id}}">

          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
            <button type="submit" class="btn btn-primary">Guardar</button>
          </div>
          </form>
        </div>
      </div>
    </div>

                                @endforeach
                            </tbody>
                        </table>
                        {!! $prestamos->links('pagination::bootstrap-5') !!}
                    </div>
                </div>
            </div>
        </div>

        <!-- Segunda columna -->
        <div class="col-md-12">
            <div class="card">
                <div class="card-header pb-0">
                    <div class="d-flex justify-content-between">
                        <h2 class="card-title mg-b-0">{{ __('Stock de extintores en bodega') }}</h2>
                    </div>
                </div>

                <div class="card-body">
                <a href="{{ route('stock.create') }}">
                        <button id="table2-new-row-button" class="btn btn-primary mb-4">{{ __('Nuevo extintor') }}</button>
                    </a>
                    <div class="table-responsive border">
                        <table class="table table-hover mb-0 text-md-nowrap">
                            <thead class="thead">
                                <tr>
                                    <th>Nombre</th>
                                    <th>Marca</th>
                                    <th>Categoria</th>
                                    <th>Clase</th>
                                    <th>Capacidad</th>
                                    <th>Cantidad</th>
                                    <th>Acciones</th>
                                </tr>
                            </thead>
                            <tbody>
                            @foreach($stocks as $stock)
                                    <tr>
                                        <td>{{$stock->nombre}}</td>
                                        <td>{{$stock->marca}}</td>
                                        <td>{{$stock->categoria}}</td>
                                        <td>{{$stock->clase}}</td>
                                        <td>{{$stock->capacidad}}</td>
                                        <td>{{$stock->cantidad}}</td>
                                        <td><a class="btn btn-warning" href="">Editar</a></td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                        {!! $stocks->links('pagination::bootstrap-5') !!}
                    </div>
                </div>
            </div>
        </div>
    </div>
@endrole


@endsection