@extends('layouts.main')

@section('title', '| Productos')
@section('titlePage', 'Extintores')

@section('content')
    <div class="card">
        <div class="card-header pb-0">
            <div class="d-flex justify-content-between">
                <h2 class="card-title mg-b-0">{{ __('Listado de extintores creados') }}</h2>
            </div>
        </div>
        @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
        @endif

        <div class="card-body">
            <a href="{{ route('products.create') }}">
                <button id="table2-new-row-button" class="btn btn-primary mb-4">{{ __('Crear nuevo extintor') }}</button>
            </a>
            <div class="table-responsive border">
                <table class="table table-hover mb-0 text-md-nowrap">
                    <thead class="thead">
                        <tr>
                            <th>No</th>

                            <th>{{__('Name')}}</th>
                            <th>Marca</th>
                            <th>Categoría</th>
                            <th>Clase</th>
                            <th>Descripción</th>
                            <th>Capacidad</th>
                            {{--<th>PSI</th>--}}
                            {{--<th>Alto</th>--}}
                            {{--<th>Ancho</th>--}}
                            {{--<th>Diámetro</th>--}}
                            {{--<th>Peso</th>--}}

                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($products as $product)
                            <tr>
                                <td>{{ ++$i }}</td>
											<td>{{ $product->name }}</td>
											<td>{{ $product?->brand?->name }}</td>
											<td>{{ $product?->category?->name }}</td>
											<td>{{ $product?->classe?->name }}</td>
											<td>{{ $product->description }}</td>
											<td>{{ $product->capacity }}</td>
											{{--<td>{{ $product->psi }}</td>--}}
											{{--<td>{{ $product->height }}</td>--}}
											{{--<td>{{ $product->width }}</td>--}}
											{{--<td>{{ $product->diameter }}</td>--}}
											{{--<td>{{ $product->weight }}</td>--}}
                                <td>
                                    <form action="{{ route('products.destroy',$product->id) }}" method="POST" onsubmit="return confirm('¿Realmente desea eliminar el extintor?')">
                                        <a class="btn btn-sm btn-success" href="{{ route('products.edit',$product->id) }}"><i class="fa fa-fw fa-edit"></i></a>
                                        @csrf
                                        @method('DELETE')
                                        <button type="submit" class="btn btn-danger btn-sm"><i class="fa fa-fw fa-trash"></i> </button>
                                    </form>
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
                {!! $products->links('pagination::bootstrap-5') !!}
            </div>
        </div>
    </div>


@endsection
