@extends('layouts.main')

@section('title', '| Repuestos')
@section('titlePage', 'Repuestos')

@section('content')
    <div class="card">
        <div class="card-header pb-0">
            <div class="d-flex justify-content-between">
                <h2 class="card-title mg-b-0">Listado de {{ __('Refill') }}</h2>
            </div>
        </div>
        @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
        @endif

        <div class="card-body">
            <a href="{{ route('refills.create') }}">
                <button id="table2-new-row-button" class="btn btn-primary mb-4">Crear {{ __('Refill') }}</button>
            </a>


            <div class="table-responsive border">
                <form method="get">
                    <div class="row mb-2">
                        <div class="col-4 inline">
                            <input type="text" name="search" value="{{$search ?? ''}}" placeholder="Nombre Cliente" class="form-control">
                        </div>
                        <div class="col-1">
                            <button class="btn btn-info">Buscar</button>
                        </div>
                    </div>
                </form>
                <table class="table table-hover mb-0 text-md-nowrap">
                    <thead class="thead">
                        <tr>
                            <th>No</th>

										<th>Nombre</th>
										<th>Marca</th>
										<th>C&oacute;digo</th>
										<th>Precio costo</th>
										<th>Precio unitario</th>
										<th>Cantidad</th>
										<th>Factura</th>
										<th>Fecha de entrada</th>

                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($refills as $refill)
                            <tr>
                                <td>{{ ++$i }}</td>

											<td>{{ $refill->name }}</td>
											<td>{{ $refill?->brand?->name }}</td>
											<td>{{ $refill->code }}</td>
											<td>{{ $refill->price }}</td>
											<td>{{ $refill->price_unit }}</td>
											<td>{{ $refill->quantity }}</td>
											<td>
                                                @if($refill->invoice)
                                                    <a href="{{route('refills.download', $refill)}}" target="_blank">Descargar</a>
                                                @endif
                                            </td>
											<td>{{ $refill->deliver_date }}</td>

                                <td>
                                    <form action="{{ route('refills.destroy',$refill->id) }}" method="POST">
                                        <a class="btn btn-sm btn-success" href="{{ route('refills.edit',$refill->id) }}"><i class="fa fa-fw fa-edit"></i></a>
                                        @csrf
                                        @method('DELETE')
                                        <button type="submit" class="btn btn-danger btn-sm"><i class="fa fa-fw fa-trash"></i></button>
                                    </form>
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
                {!! $refills->appends(['search' => $search])->links('pagination::bootstrap-5') !!}
            </div>
        </div>
    </div>


@endsection
