<div class="modal-dialog modal-dialog-centered text-center modal-xl" role="document">
    <div class="modal-content modal-content-demo">
        <div class="modal-header">
            <h6 class="modal-title">Recargas / Repuestos / CO2 o Pintura</h6><button aria-label="Close" class="btn-close" data-bs-dismiss="modal"></button>
        </div>
        <form method="POST" action="{{ route('refills-save-tech') }}"  role="form" enctype="multipart/form-data" id="frm_{{$detail->id}}">
            @csrf
            <input type="hidden" name="detail" value="{{$detail->id}}">
            <div class="modal-body text-start">
                @php
                    $usage = $detail->usages()->where('is_recharge', 1)->first();
                @endphp
                <div class="row">
                    <div class="col-3 form-check form-check-lg d-flex align-items-right pl-5">
                        <input class="form-check-input checkRecharge" type="checkbox" value="" id="checkebox-lg"
                               data-dr="date_recharge-{{$detail->id}}"
                               data-dre="date_recharge_expiration-{{$detail->id}}"
                            {{$usage ? 'checked' : ''}}>
                        <label class="form-check-label" for="checkebox-lg">
                            Recarga
                        </label>
                    </div>

                    <div class="col-3">
                        <label for="date_recharge-{{$detail->id}}" class="form-label">Fecha recarga</label>
                        <input type="date" class="form-control dateRe"
                               id="date_recharge-{{$detail->id}}"
                               data-exp="date_recharge_expiration-{{$detail->id}}"
                               name="date_recharge" required {{$usage ? '' : 'disabled'}}
                               value="{{$usage ? $usage->date_recharge->format('Y-m-d') : ''}}"
                        >
                    </div>

                    <div class="col-3">
                        <label for="date_recharge_expiration-{{$detail->id}}" class="form-label">Fecha vencimiento recarga</label>
                        <input type="date" class="form-control"
                               id="date_recharge_expiration-{{$detail->id}}"
                               name="date_recharge_expiration" required {{$usage ? '' : 'disabled'}}
                               value="{{$usage ? $usage->date_recharge_expiration->format('Y-m-d') : ''}}"
                        >
                    </div>
                </div>


                <div class="row mt-5">
                    <div class="col-6">
                        <input type="text" id="search"
                               data-table="table-container-{{$detail->id}}"
                               data-detail="{{$detail->id}}"
                               class="form-control mb-3 searchRefill" data-table="table-container-{{$detail->id}}" placeholder="Buscar repuesto">
                    </div>
                </div>

                <div class="row">
                    <div id="table-container-{{$detail->id}}"></div>
                </div>



                <div class="row">
                    <table class="table table-hover mb-0 text-md-nowrap" id="table-refills-{{$detail->id}}">
                        <thead class="thead">
                        <tr>
                            <th>Repuesto</th>
                            <th>Precio</th>
                            <th>Cantidad</th>
                            <th>Estado</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody id="table-refills-body-{{$detail->id}}">
                        @foreach($detail->usages as $usage)
                            @if($usage->is_recharge || $usage->action_id)
                                @continue
                            @endif
                            <tr>
                                <td>
                                    {{$usage?->refill?->name}}
                                </td>
                                <td>
                                    {{$usage?->refill?->price_unit}}
                                </td>
                                <td>
                                    <input type="number" class="form-control" name="quantity[]" min="1" max="{{$usage?->refill?->quantity}}" required value="{{$usage?->quantity}}">
                                    <input type="hidden" name="refill[]" value="{{$usage?->refill?->id}}">
                                </td>
                                <td>
                                    {{$usage->status()  }}
                                </td>
                                <td>
                                    <button type="button" class="btn btn-danger" onclick="removeDetail(this)">Eliminar</button>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>

                <div class="row">
                    @php
                        $selectedAction = 0;
                    @endphp
                    @foreach($detail->usages as $usage)
                        @if($usage->action_id)
                            @php
                                $selectedAction = $usage->action_id;
                            @endphp
                        @endif
                    @endforeach
                    <h5>Externo <input type="checkbox" class="external-check" data-enabled="table-external-{{$detail->id}}" {{$selectedAction > 0 ? 'checked' : ''}}></h5>
                    <table class="table table-hover mb-0 text-md-nowrap" id="table-external-{{$detail->id}}" {!! $selectedAction > 0 ? '' : 'style="display: none;"' !!} >
                        <thead class="thead">
                        <tr>
                            <th></th>
                            <th>C&oacute;digo</th>
                            <th>Acci&oacute;n</th>
                            <th>Proveedor</th>
                        </tr>
                        </thead>


                        <tbody id="table-external-body-{{$detail->id}}">
                                @foreach($actions as $action)
                                    <tr>
                                        <td>
                                            <input type="radio" name="external[]" value="{{$action->id}}" {{$selectedAction == $action->id ? 'checked' : ''}}>
                                        </td>
                                        <td>
                                            {{$action->code}}
                                        </td>
                                        <td>
                                            {{$action->action}}
                                        </td>
                                        <td>
                                            {{$action->provider}}
                                        </td>
                                    </tr>
                                @endforeach
                        </tbody>
                    </table>
                </div>

            </div>
            <div class="modal-footer">
                <button class="btn btn-primary" id="btn-approved-{{$detail->id}}" >Guardar</button>
                <button type="button" class="btn btn-light" data-bs-dismiss="modal" >Cerrar</button>
            </div>
        </form>
    </div>
</div>
