@extends('layouts.main')

@section('title', '| Reportes')
@section('titlePage', 'Reportes')

@section('content')
    <div class="card">


        <div class="card-header pb-0">

            @include('report.menu')

            <div class="d-flex justify-content-between">
                <h2 class="card-title mg-b-0">{{ __('Reporte Pedido por  fecha') }}</h2>
            </div>
        </div>
        @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
        @endif

        <div class="card-body">

            <form action="{{ route('report.index') }}" method="GET" class="mb-5">
                <div class="row">
                    <div class=" col-3">
                        <label for="start_date">Desde:</label>
                        <input type="date" class="form-control" id="start_date" name="start_date" value="{{$startDate}}" required>
                    </div>
                    <div class=" col-3">
                        <label for="end_date">Hasta:</label>
                        <input type="date" class="form-control" id="end_date" name="end_date" value="{{$endDate}}" required>
                    </div>
                    <div class="col-2">
                        <div class="mb-4"></div>
                        <button type="submit" class="btn btn-primary">Generar Reporte</button>
                    </div>
                </div>
            </form>

            <div class="col-2 mb-2">
                <a href="{{route('report.index.excel', ['start_date' => $startDate, 'end_date' => $endDate])}}" target="_blank" class="btn btn-info">
                    Descargar Excel
                </a>
            </div>
            <div class="table-responsive border">

                <table class="table table-hover mb-0 text-md-nowrap">
                    <thead class="thead">
                    <tr>
                        <th>Orden De Retiro</th>
                        <th>Cliente</th>
                        <th>Vendedor</th>
                        <th>Estado</th>
                        <th>Total</th>
                        <th>Fecha Ingreso Taller</th>
                        <th>Fecha Creación</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach ($orders as $order)
                        <tr>
                            <td>{{ $order?->id }}</td>
                            <td>{{ $order?->customer?->name }}</td>
                            <td>{{ $order?->owner?->name }}</td>
                            <td>{{ \App\Models\Order::$states[$order->state] }}</td>
                            <td>$ {{ number_format($order->total(), 0) }}</td>
                            <td>{{ $order->date_workshop }}</td>
                            <td>{{ $order->created_at }}</td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
                {{$orders->links('pagination::bootstrap-5')}}
            </div>
        </div>
    </div>
@endsection
