@extends('layouts.main')

@section('title', '| Reportes')
@section('titlePage', 'Reportes')

@section('content')
    <div class="card">
        <div class="card-header pb-0">
            @include('report.menu')
            <div class="d-flex justify-content-between">
                <h2 class="card-title mg-b-0">{{ __('Reporte Prestamos') }}</h2>
            </div>
        </div>
        @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
        @endif

        <div class="card-body">
            <div class="col-2 mb-2">
                <a href="{{route('report.prestamos.excel')}}" target="_blank" class="btn btn-info">
                    Descargar Excel
                </a>
            </div>
            <div class="table-responsive border">

                <table class="table table-hover mb-0 text-md-nowrap">
                    <thead>
                        <tr>
                            <th>Orden Prestamo</th>
                            <th>Cliente</th>
                            <th>Fechas</th>
                            <th>Cantidad</th>
                            <th>Categoría del equipo</th>
                            <th>Nombre</th>
                            <th>Marca</th>
                            <th>Clase</th>
                            <th>Capacidad</th>
                            <th>Estado</th>
                        </tr>
                    </thead>
                    <tbody>
                    @foreach ($orders as $order)
                        @foreach($order->prestamoDetail as $orderDetail)
                            @if($orderDetail->stock_id)
                                <tr>
                                    <td>{{$order->id}}</td>
                                    <td>{{ $order?->customer?->name }}</td>
                                    <td>Prestamo: {{ $order?->fecha_prestado?->format('d-m-Y') }} <br> Devolución: {{ $order?->fecha_devolucion?->format('d-m-Y') }}</td>
                                    <td>

                                        {{$orderDetail->cantidad ?? 1}} / {{$orderDetail?->stock?->cantidad}}
                                    </td>
                                    <td>
                                        {{$orderDetail?->stock?->categoria}}
                                    </td>
                                    <td>{{$orderDetail?->stock?->nombre}}</td>
                                    <td>{{$orderDetail?->stock?->brand?->name}}</td>
                                    <td>{{$orderDetail?->stock?->clase}}</td>
                                    <td>{{$orderDetail?->stock?->capacidad}}</td>
                                    <td>{{ $order->estado }}</td>
                                </tr>
                            @else
                                <tr>
                                    <td>
                                        <span>Orden: {{$order->id}}</span> <br>
                                        <span>Detalle: {{$orderDetail->id}}</span><br>
                                        <span>Orden Retiro: {{ $orderDetail?->orderDetail?->order?->id }}</span><br>
                                        <span>Detalle Orden Retiro: {{ $orderDetail?->orderDetail?->id }}</span><br>
                                        <span>Serie: {{ $orderDetail?->orderDetail?->serial_number }}</span>
                                    </td>
                                    <td>{{ $order?->customer?->name }}</td>
                                    <td>Prestamo: {{ $order?->fecha_prestado?->format('d-m-Y') }} <br> Devolución: {{ $order?->fecha_devolucion?->format('d-m-Y') }}</td>
                                    <td>
                                        {{ $orderDetail->cantidad ?? 1 }} / {{ $orderDetail?->orderDetail?->quantity }}
                                    </td>
                                    <td>{{ $orderDetail?->orderDetail?->product?->category?->name }}</td>
                                    <td>{{ $orderDetail?->orderDetail?->product->name }}</td>
                                    <td>{{ $orderDetail?->orderDetail?->product?->brand?->name}}</td>
                                    <td>{{ $orderDetail?->orderDetail?->product?->classe?->name }}</td>
                                    <td>{{ $orderDetail?->orderDetail?->product?->capacity }}</td>
                                    <td>{{ $order->estado }}</td>
                                </tr>
                            @endif
                        @endforeach
                    @endforeach
                    </tbody>
                </table>

                {!! $orders->links('pagination::bootstrap-5') !!}
            </div>
        </div>
    </div>
@endsection
