@extends('layouts.main')

@section('title', '| Reportes')
@section('titlePage', 'Reportes')

@section('content')
    <div class="card">
        <div class="card-header pb-0">
            @include('report.menu')
            <div class="d-flex justify-content-between">
                <h2 class="card-title mg-b-0">{{ __('Reporte Por tecnico') }}</h2>
            </div>
        </div>
        @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
        @endif

        <div class="card-body">
            <div class="col-2 mb-2">
                <a href="{{route('report.technical.excel')}}" target="_blank" class="btn btn-info">
                    Descargar Excel
                </a>
            </div>
            <div class="table-responsive border">

                <table class="table table-hover mb-0 text-md-nowrap">
                    <thead class="thead">
                    <tr>
                        <th>Orden</th>
                        <th>Tecnico</th>
                        <th>Código</th>
                        <th>Fecha de Recibido</th>
                        <th>Cliente</th>
                        <th>Cantidad</th>
                        <th>Categoría</th>
                        <th>Tipo Producto</th>
                        <th>Marca</th>
                        <th>Número ó Serie</th>
                        <th>Fotos</th>
                        <th>Repuestos</th>
                        <th>Observaciones</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($ordersDetail as $detail)
                        <tr>
                            <td>{{$detail->order->id}}</td>
                            <td>{{$detail->owner->name}}</td>
                            <td>{{$detail->id}}</td>
                            <td>{{$detail->order->date_workshop}}</td>
                            <td>{{$detail->order->customer->name}}</td>
                            <td>{{$detail->quantity}}</td>
                            <td>{{$detail->product->category->name}}</td>
                            <td>{{$detail->product->name}}</td>
                            <td>{{$detail->product->brand->name}}</td>
                            <td>{{$detail->serial_number}}</td>
                            <td>
                                @php
                                    $rnd = uniqid();
                                @endphp
                                <a href="#" data-bs-toggle="modal" data-bs-target="#photo_{{$rnd}}">Fotos</a>

                                <div class="modal fade"  id="photo_{{$rnd}}">
                                    <div class="modal-dialog modal-dialog-centered text-center modal-xl" role="document">
                                        <div class="modal-content modal-content-demo">
                                            <div class="modal-header">
                                                <h6 class="modal-title">Fotos</h6><button aria-label="Close" class="btn-close" data-bs-dismiss="modal"></button>
                                            </div>


                                            <div class="modal-body text-start">
                                                <div class="row">
                                                    <div class="col-6 mt-2">
                                                        <img src="{{ route('photo', ['order' => $detail, 's' => 'front']) }}" alt="" style="width: 200px;">
                                                    </div>
                                                    <div class="col-6 mt-2">
                                                        <img src="{{ route('photo', ['order' => $detail, 's' => 'back']) }}" alt="" style="width: 200px;">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-light" data-bs-dismiss="modal" >Cerrar</button>
                                            </div>

                                        </div>
                                    </div>
                                </div>
                            </td>
                            <td>
                                <a href="#" data-bs-target="#addRefill-{{$detail->id}}" data-bs-toggle="modal">
                                    <img src="{{asset('app/img/repair.png')}}" alt="" class="w-25">
                                </a>

                                <div class="modal fade"  id="addRefill-{{$detail->id}}">
                                    <div class="modal-dialog modal-dialog-centered text-center modal-xl" role="document">
                                        <div class="modal-content modal-content-demo">
                                            <div class="modal-header">
                                                <h6 class="modal-title">Repuestos</h6><button aria-label="Close" class="btn-close" data-bs-dismiss="modal"></button>
                                            </div>
                                            <form method="POST" action="{{ route('refills-save-tech') }}"  role="form" enctype="multipart/form-data" >
                                                @csrf
                                                <input type="hidden" name="detail" value="{{$detail->id}}">
                                                <div class="modal-body text-start">
                                                    @php
                                                        $usage = $detail->usages()->where('is_recharge', 1)->first();
                                                    @endphp
                                                    <div class="row">
                                                        <div class="col-3 form-check form-check-lg d-flex align-items-right pl-5">
                                                            <input class="form-check-input checkRecharge" type="checkbox" value="" id="checkebox-lg" readonly disabled
                                                                   data-dr="date_recharge-{{$detail->id}}"
                                                                   data-dre="date_recharge_expiration-{{$detail->id}}"
                                                                {{$usage ? 'checked' : ''}}>
                                                            <label class="form-check-label" for="checkebox-lg">
                                                                Recarga
                                                            </label>
                                                        </div>

                                                        <div class="col-3">
                                                            <label for="date_recharge-{{$detail->id}}" class="form-label">Fecha recarga</label>
                                                            <input type="date" class="form-control" readonly
                                                                   id="date_recharge-{{$detail->id}}"
                                                                   name="date_recharge" required {{$usage ? '' : 'disabled'}}
                                                                   value="{{$usage ? $usage->date_recharge->format('Y-m-d') : ''}}"
                                                            >
                                                        </div>

                                                        <div class="col-3">
                                                            <label for="date_recharge_expiration-{{$detail->id}}" class="form-label">Fecha vencimiento recarga</label>
                                                            <input type="date" class="form-control" readonly
                                                                   id="date_recharge_expiration-{{$detail->id}}"
                                                                   name="date_recharge_expiration" required {{$usage ? '' : 'disabled'}}
                                                                   value="{{$usage ? $usage->date_recharge_expiration->format('Y-m-d') : ''}}"
                                                            >
                                                        </div>
                                                    </div>






                                                    <div class="row">
                                                        <table class="table table-hover mb-0 text-md-nowrap" id="table-refills-{{$detail->id}}">
                                                            <thead class="thead">
                                                            <tr>
                                                                <th>Repuesto</th>
                                                                <th>Precio Unitario</th>
                                                                <th>Cantidad</th>
                                                                <th></th>
                                                            </tr>
                                                            </thead>
                                                            <tbody id="table-refills-body-{{$detail->id}}">
                                                            @foreach($detail->usages as $usage)
                                                                @if($usage->is_recharge)
                                                                    @continue
                                                                @endif
                                                                <tr>
                                                                    <td>
                                                                        {{$usage?->refill?->name}}
                                                                    </td>
                                                                    <td>
                                                                        $ {{$usage?->refill?->price_unit}}
                                                                    </td>
                                                                    <td>
                                                                        <input type="number" readonly class="form-control" name="quantity[]" min="1" max="{{$usage?->refill?->quantity}}" required value="{{$usage?->quantity}}">

                                                                    </td>
                                                                    <td>

                                                                    </td>
                                                                </tr>
                                                            @endforeach
                                                            </tbody>
                                                        </table>
                                                    </div>
                                                </div>
                                                <div class="modal-footer">

                                                    <button type="button" class="btn btn-light" data-bs-dismiss="modal" >Cerrar</button>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <td>{{$detail->observation}}</td>
                        </tr>
                    @endforeach

                    </tbody>
                </table>
                {{$ordersDetail->links('pagination::bootstrap-5')}}
            </div>
        </div>
    </div>
@endsection
