@extends('layouts.main')

@section('title', '| Reportes')
@section('titlePage', 'Reportes')

@section('content')
    <div class="card">
        <div class="card-header pb-0">
            @include('report.menu')
            <div class="d-flex justify-content-between">
                <h2 class="card-title mg-b-0">{{ __('Reporte Ordenes Retiro en Taller') }}</h2>
            </div>
        </div>
        @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
        @endif

        <div class="card-body">
            <div class="col-2 mb-2">
                <a href="{{route('report.workshop.excel')}}" target="_blank" class="btn btn-info">
                    Descargar Excel
                </a>
            </div>
            <div class="table-responsive">
                <table id="example" class="table table-hover mb-0 text-md-nowrap">
                    <thead class="thead">
                    <tr>
                        <th>Fecha de Recibido</th>
                        <th>Prioridad</th>
                        <th>#Orden de retiro</th>
                        <th>Cliente</th>
                        <th>Asesor</th>
                        <th>Cantidad de Servicios</th>
                        <th>Categoría</th>
                        <th>Tipo extintor</th>
                        <th>Marca</th>
                        <th>Número ó Serie</th>
                        <th>Fotos</th>
                        <th>Observaciones</th>
                        <th>Tiempo Área Técnica</th>
                        <th>Semáforo</th>
                        <th>Fecha recargas</th>
                        <th>Estado</th>
                        <th>Finalizar orden</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach ($ordersWorkshop as $order)
                        <tr>
                            <td>{{ $order->created_at_format }}</td>
                            <td> @if($order->priority===0)
                                    <p class="text-success">Normal</p>
                                @else
                                    <p class="text-danger">Alta</p>
                                @endif
                            </td>
                            <td>{{$order->id}}</td>
                            <td>
                                {{$order->customer->name}}
                                <br>
                                Sucursal: {{$order?->brancOffice?->name}}
                            </td>
                            <td>{{$order->owner->name}}</td>
                            <td>
                                <a href="#" data-bs-toggle="collapse" data-bs-target=".rows-{{$order->id}}" aria-expanded="false"
                                >
                                    {{ count($order->orderDetails ?? [])}}
                                </a>
                            </td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td>
                                {{$order?->date_workshop?->diffForHumans()}}
                            </td>
                            <td>
                                @if($order->created_at->diffInDays(now()) <= 3)
                                    <img src="{{asset('app/img/green_icon.png')}}" style="width: 24px;" title="{{$order->created_at->diffInDays(now())}} días" >
                                @else
                                    <img src="{{asset('app/img/red_icon.png')}}" style="width: 24px;" title="{{$order->created_at->diffInDays(now())}} días">
                                @endif
                            </td>
                            <td>
                                <a href="#" data-bs-target="#all-{{$order->id}}" data-bs-toggle="modal">
                                    <img src="{{asset('app/img/renew.png')}}?id=1" alt="" class="w-25">
                                </a>

                                <div class="modal fade"  id="all-{{$order->id}}">
                                    <div class="modal-dialog modal-dialog-centered text-center modal-xl" role="document">
                                        <div class="modal-content modal-content-demo">
                                            <div class="modal-header">
                                                <h6 class="modal-title">Recarga para toda la orden</h6><button aria-label="Close" class="btn-close" data-bs-dismiss="modal"></button>
                                            </div>
                                            <form method="POST" action="{{ route('refills-save-tech-all') }}"  role="form" enctype="multipart/form-data" id="frm_{{$order->id}}">
                                                @csrf
                                                <input type="hidden" name="order" value="{{$order->id}}">
                                                <div class="modal-body text-start">

                                                    <div class="row">

                                                        <div class="col-3">
                                                            <label for="date_recharge-{{$order->id}}" class="form-label">Fecha recarga</label>
                                                            <input type="date" class="form-control dateRe"
                                                                   id="date_recharge-{{$order->id}}"
                                                                   data-exp="date_recharge_expiration-{{$order->id}}-order"
                                                                   name="date_recharge" disabled
                                                                   value="}"
                                                            >
                                                        </div>

                                                        <div class="col-3">
                                                            <label for="date_recharge_expiration-{{$order->id}}" class="form-label">Fecha vencimiento recarga</label>
                                                            <input type="date" class="form-control"
                                                                   id="date_recharge_expiration-{{$order->id}}-order"
                                                                   name="date_recharge_expiration"
                                                                   value="" disabled
                                                            >
                                                        </div>
                                                    </div>

                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-light" data-bs-dismiss="modal" >Cerrar</button>
                                                </div>
                                            </form>
                                        </div>
                                    </div>

                                </div>
                            </td>
                            <td>
                                @if($order->state=="WORKSHOP")
                                    <p class="text-warning">En &Aacute;rea T&eacute;cnica</p>
                                @elseif($order->state=="DOING")
                                    <p class="text-success">Armando</p>
                                @endif
                            </td>
                            <td>

                            </td>
                        </tr>

                        @foreach($order->orderDetails as $detail)
                            <tr class="collapse rows-{{$order->id}}" id="order-{{$detail->id}} detailClick">
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td>{{$detail->product->category->name}}</td>
                                <td>{{$detail->product->name}}</td>
                                <td>{{$detail->product->brand->name}}</td>
                                <td>{{$detail->serial_number}}</td>
                                <td>
                                    @php
                                        $rnd = uniqid();
                                    @endphp
                                    <a href="#" data-bs-toggle="modal" data-bs-target="#photo_{{$rnd}}">Fotos</a>

                                    <div class="modal fade"  id="photo_{{$rnd}}">
                                        <div class="modal-dialog modal-dialog-centered text-center modal-xl" role="document">
                                            <div class="modal-content modal-content-demo">
                                                <div class="modal-header">
                                                    <h6 class="modal-title">Fotos</h6><button aria-label="Close" class="btn-close" data-bs-dismiss="modal"></button>
                                                </div>

                                                <div class="modal-body text-start">
                                                    <div class="row">
                                                        <div class="col-6 mt-2">
                                                            <img loading="lazy" src="{{ route('photo', ['order' => $detail, 's' => 'front']) }}" alt="" style="width: 200px;">
                                                        </div>
                                                        <div class="col-6 mt-2">
                                                            <img loading="lazy" src="{{ route('photo', ['order' => $detail, 's' => 'back']) }}" alt="" style="width: 200px;">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-light" data-bs-dismiss="modal" >Cerrar</button>
                                                </div>

                                            </div>
                                        </div>
                                    </div>
                                </td>
                                <td>{{$detail->observation}}</td>
                                <td></td>
                                <td class="text-center">
                                    <a href="#" data-bs-target="#addRefill-{{$detail->id}}" data-bs-toggle="modal">
                                        <img src="{{asset('app/img/repair.png')}}" alt="" class="w-25">
                                    </a>

                                    <div class="modal fade"  id="addRefill-{{$detail->id}}">
                                        <div class="modal-dialog modal-dialog-centered text-center modal-xl" role="document">
                                            <div class="modal-content modal-content-demo">
                                                <div class="modal-header">
                                                    <h6 class="modal-title">Recargas / Repuestos / CO2 o Pintura</h6><button aria-label="Close" class="btn-close" data-bs-dismiss="modal"></button>
                                                </div>
                                                <form method="POST" action="{{ route('refills-save-tech') }}"  role="form" enctype="multipart/form-data" id="frm_{{$detail->id}}">
                                                    @csrf
                                                    <input type="hidden" name="detail" value="{{$detail->id}}">
                                                    <div class="modal-body text-start">
                                                        @php
                                                            $usage = $detail->usages()->where('is_recharge', 1)->first();
                                                        @endphp
                                                        <div class="row">
                                                            <div class="col-3 form-check form-check-lg d-flex align-items-right pl-5">
                                                                <input class="form-check-input checkRecharge" type="checkbox" value="" id="checkebox-lg"
                                                                       data-dr="date_recharge-{{$detail->id}}" disabled
                                                                       data-dre="date_recharge_expiration-{{$detail->id}}"
                                                                        {{$usage ? 'checked' : ''}}>
                                                                <label class="form-check-label" for="checkebox-lg">
                                                                    Recarga
                                                                </label>
                                                            </div>

                                                            <div class="col-3">
                                                                <label for="date_recharge-{{$detail->id}}" class="form-label">Fecha recarga</label>
                                                                <input type="date" class="form-control dateRe"
                                                                       id="date_recharge-{{$detail->id}}" disabled
                                                                       data-exp="date_recharge_expiration-{{$detail->id}}"
                                                                       name="date_recharge" required {{$usage ? '' : 'disabled'}}
                                                                       value="{{$usage ? $usage->date_recharge->format('Y-m-d') : ''}}"
                                                                >
                                                            </div>

                                                            <div class="col-3">
                                                                <label for="date_recharge_expiration-{{$detail->id}}" class="form-label">Fecha vencimiento recarga</label>
                                                                <input type="date" class="form-control" disabled
                                                                       id="date_recharge_expiration-{{$detail->id}}"
                                                                       name="date_recharge_expiration" required {{$usage ? '' : 'disabled'}}
                                                                       value="{{$usage ? $usage->date_recharge_expiration->format('Y-m-d') : ''}}"
                                                                >
                                                            </div>
                                                        </div>


                                                        <div class="row mt-5">
                                                            <div class="col-6">
                                                                <input type="text" id="search"
                                                                       data-table="table-container-{{$detail->id}}" disabled
                                                                       data-detail="{{$detail->id}}"
                                                                       class="form-control mb-3 searchRefill" data-table="table-container-{{$detail->id}}" placeholder="Buscar repuesto">
                                                            </div>
                                                        </div>

                                                        <div class="row">
                                                            <div id="table-container-{{$detail->id}}"></div>
                                                        </div>



                                                        <div class="row">
                                                            <table class="table table-hover mb-0 text-md-nowrap" id="table-refills-{{$detail->id}}">
                                                                <thead class="thead">
                                                                <tr>
                                                                    <th>Repuesto</th>
                                                                    <th>Precio</th>
                                                                    <th>Cantidad</th>
                                                                    <th>Estado</th>
                                                                    <th></th>
                                                                </tr>
                                                                </thead>
                                                                <tbody id="table-refills-body-{{$detail->id}}">
                                                                @foreach($detail->usages as $usage)
                                                                    @if($usage->is_recharge || $usage->action_id)
                                                                        @continue
                                                                    @endif
                                                                    <tr>
                                                                        <td>
                                                                            {{$usage?->refill?->name}}
                                                                        </td>
                                                                        <td>
                                                                            {{$usage?->refill?->price_unit}}
                                                                        </td>
                                                                        <td>
                                                                            <input type="number" disabled class="form-control" name="quantity[]" min="1" max="{{$usage?->refill?->quantity}}" required value="{{$usage?->quantity}}">
                                                                            <input type="hidden" name="refill[]" value="{{$usage?->refill?->id}}">
                                                                        </td>
                                                                        <td>
                                                                            {{$usage->status()  }}
                                                                        </td>
                                                                        <td>

                                                                        </td>
                                                                    </tr>
                                                                @endforeach
                                                                </tbody>
                                                            </table>
                                                        </div>

                                                        <div class="row">
                                                            @php
                                                                $selectedAction = 0;
                                                            @endphp
                                                            @foreach($detail->usages as $usage)
                                                                @if($usage->action_id)
                                                                    @php
                                                                        $selectedAction = $usage->action_id;
                                                                    @endphp
                                                                @endif
                                                            @endforeach
                                                            <h5>Externo <input type="checkbox" disabled class="external-check" data-enabled="table-external-{{$detail->id}}" {{$selectedAction > 0 ? 'checked' : ''}}></h5>
                                                            <table class="table table-hover mb-0 text-md-nowrap" id="table-external-{{$detail->id}}" {!! $selectedAction > 0 ? '' : 'style="display: none;"' !!} >
                                                                <thead class="thead">
                                                                <tr>
                                                                    <th></th>
                                                                    <th>C&oacute;digo</th>
                                                                    <th>Acci&oacute;n</th>
                                                                    <th>Proveedor</th>
                                                                </tr>
                                                                </thead>


                                                                <tbody id="table-external-body-{{$detail->id}}">
                                                                @foreach($actions as $action)
                                                                    <tr>
                                                                        <td>
                                                                            <input disabled type="radio" name="external[]" value="{{$action->id}}" {{$selectedAction == $action->id ? 'checked' : ''}}>
                                                                        </td>
                                                                        <td>
                                                                            {{$action->code}}
                                                                        </td>
                                                                        <td>
                                                                            {{$action->action}}
                                                                        </td>
                                                                        <td>
                                                                            {{$action->provider}}
                                                                        </td>
                                                                    </tr>
                                                                @endforeach
                                                                </tbody>
                                                            </table>
                                                        </div>

                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-light" data-bs-dismiss="modal" >Cerrar</button>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>

                                    </div>
                                </td>
                                <td>

                                </td>
                                <td></td>
                            </tr>
                        @endforeach

                    @endforeach
                    </tbody>
                </table>
                {!! $ordersWorkshop->appends(['__cx' => time()])->links('pagination::bootstrap-5') !!}
            </div>
        </div>
    </div>
@endsection
