@extends('layouts.main')

@section('title', '| Tipos de Gestiones')
@section('titlePage', 'Tipos de Gestiones')

@section('content')
    <div class="card">
        <div class="card-header pb-0">
            <div class="d-flex justify-content-between">
                <h2 class="card-title mg-b-0">{{ __('Tipos de Gestiones') }}</h2>
            </div>
        </div>
        @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
        @endif

        <div class="card-body">
            <a href="{{ route('type-managements.create') }}">
                <button id="table2-new-row-button" class="btn btn-primary mb-4">{{ __('Crear Tipo de Gestión') }}</button>
            </a>
            <div class="table-responsive border">
                <table class="table table-hover mb-0 text-md-nowrap">
                    <thead class="thead">
                        <tr>
                            <th>No</th>
                            
										<th>Tipo Gestión</th>

                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($typeManagements as $typeManagement)
                            <tr>
                                <td>{{ ++$i }}</td>
                                
											<td>{{ $typeManagement->name }}</td>

                                <td>
                                    <form action="{{ route('type-managements.destroy',$typeManagement->id) }}" method="POST" onsubmit="return confirm('¿Realmente desea eliminar el Type Management?')">
                                        <a class="btn btn-sm btn-success" href="{{ route('type-managements.edit',$typeManagement->id) }}"><i class="fa fa-fw fa-edit"></i></a>
                                        @csrf
                                        @method('DELETE')
                                        <button type="submit" class="btn btn-danger btn-sm"><i class="fa fa-fw fa-trash"></i></button>
                                    </form>
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
                {!! $typeManagements->links('pagination::bootstrap-5') !!}
            </div>
        </div>
    </div>


@endsection
