@extends('layouts.main')

@section('title', '| Usuarios')
@section('titlePage', 'Usuarios')

@section('content')
    <div class="card">
        <div class="card-header pb-0">
            <div class="d-flex justify-content-between">
                <h2 class="card-title mg-b-0">Listado de {{ __('User') }}</h2>
            </div>
        </div>
        @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
        @endif

        <div class="card-body">
            <a href="{{ route('users.create') }}">
                <button id="table2-new-row-button" class="btn btn-primary mb-4">{{ __('Create') }} Usuario</button>
            </a>
            <div class="table-responsive border">
                <table class="table table-hover mb-0 text-md-nowrap">
                    <thead class="thead">
                        <tr>
                            <th>No</th>

										<th>{{__('Name')}}</th>
										<th>Email</th>
										<th>Rol</th>

                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($users as $user)
                            <tr>
                                <td>{{ ++$i }}</td>

											<td>{{ $user->name }}</td>
											<td>{{ $user->email }}</td>
											<td>{{ $user->roles()->first()->name }}</td>

                                <td>
                                    <form action="{{ route('users.destroy',$user->id) }}" method="POST">
                                        <a class="btn btn-sm btn-success" href="{{ route('users.edit',$user->id) }}"><i class="fa fa-fw fa-edit"></i></a>
                                        @csrf
                                        @method('DELETE')
                                        <button type="submit" class="btn btn-danger btn-sm"><i class="fa fa-fw fa-trash"></i></button>
                                    </form>
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
                {!! $users->links('pagination::bootstrap-5') !!}
            </div>
        </div>
    </div>


@endsection
